#!/bin/sh -f

if [ "$1" = "" ]; then
 echo Usage:  $0  gid_directory
else
 echo -n Creating \"$1/gid\" script . . .
 echo \#\!/bin/sh -f > "$1/gid"
 echo export BASEDIR=\"$1\" >> "$1/gid"
 cat "$1/inst_base_script.sh" >> "$1/gid"
 chmod 755 "$1/gid"
 echo " Done."

 echo -n Creating \"$1/gidx\" script. . .
 echo \#\!/bin/sh -f > "$1/gidx"
 echo export BASEDIR=\"$1\" >> "$1/gidx"
 cat "$1/inst_base_script_x.sh" >> "$1/gidx"
 chmod 755 "$1/gidx"
 echo " Done."

 echo "Remember to put '$1' in your 'path' variable ( inside '.cshrc' or '.bashrc') and use:\n"
 echo "   gid  - to run 'gid'"
 echo "   gidx - to run 'gid' in Software Render mode, if graphics problems appear"
fi

