# Macros file for GiD v1.0

# Created by GiD version 9.1.0b

#[_ "Open a simple editor to save small notes with the model"]
set macrosdata(Notes,Number) 1
set macrosdata(Notes,Accelerators) {}
set macrosdata(Notes,InToolbar) 1
set macrosdata(Notes,Active) 1
set macrosdata(Notes,PrePost) prepost
set macrosdata(Notes,Icon) {note.gif imported_images}
set macrosdata(Notes,Group) Tools
set macrosdata(Notes,Description) {Open a simple editor to save small notes with the model}
set macrosdata(Notes,CreationDate) {2006-01-20 17:17:27}
set macrosdata(Notes,ModificationDate) {2006-03-02 23:09:39}
set macrosdata(Notes,IsStandard) 1

proc Notes {} {
    OpenNotes
}

#[_ "Dimension distance between two points"]
set {macrosdata(Dimension distance,Number)} 2
set {macrosdata(Dimension distance,Accelerators)} {}
set {macrosdata(Dimension distance,InToolbar)} 1
set {macrosdata(Dimension distance,Active)} 1
set {macrosdata(Dimension distance,PrePost)} prepost
set {macrosdata(Dimension distance,Icon)} {dimension_dist.gif imported_images}
set {macrosdata(Dimension distance,Group)} Dimension
set {macrosdata(Dimension distance,Description)} {Dimension distance between two points}
set {macrosdata(Dimension distance,CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Dimension distance,ModificationDate)} {2006-02-20 23:00:51}
set {macrosdata(Dimension distance,IsStandard)} 1

proc {Dimension distance} {} {
    GiD_Process Mescape Utilities Dimension Create Distance
}

#[_ "Dimension angle beween three points"]
set {macrosdata(Dimension angle,Number)} 3
set {macrosdata(Dimension angle,Accelerators)} {}
set {macrosdata(Dimension angle,InToolbar)} 0
set {macrosdata(Dimension angle,Active)} 1
set {macrosdata(Dimension angle,PrePost)} prepost
set {macrosdata(Dimension angle,Icon)} {dimension_angle.gif imported_images}
set {macrosdata(Dimension angle,Group)} Dimension
set {macrosdata(Dimension angle,Description)} {Dimension angle beween three points}
set {macrosdata(Dimension angle,CreationDate)} {2006-02-14 17:36:29}
set {macrosdata(Dimension angle,ModificationDate)} {2006-02-20 23:00:56}
set {macrosdata(Dimension angle,IsStandard)} 1

proc {Dimension angle} {} {
    GiD_Process escape escape escape escape Utilities Dimension Create Angle
}

#[_ "Dimension pointing to a vertex"]
set {macrosdata(Dimension vertex,Number)} 4
set {macrosdata(Dimension vertex,Accelerators)} {}
set {macrosdata(Dimension vertex,InToolbar)} 0
set {macrosdata(Dimension vertex,Active)} 1
set {macrosdata(Dimension vertex,PrePost)} prepost
set {macrosdata(Dimension vertex,Icon)} {dimension_vertex.gif imported_images}
set {macrosdata(Dimension vertex,Group)} Dimension
set {macrosdata(Dimension vertex,Description)} {Dimension pointing to a vertex}
set {macrosdata(Dimension vertex,CreationDate)} {2006-02-14 17:51:53}
set {macrosdata(Dimension vertex,ModificationDate)} {2006-02-20 23:01:08}
set {macrosdata(Dimension vertex,IsStandard)} 1

proc {Dimension vertex} {} {
    GiD_Process MEscape Utilities Dimension Create Vertex
}

#[_ "Dimension pointing to an arc center"]
set {macrosdata(Dimension arc,Number)} 5
set {macrosdata(Dimension arc,Accelerators)} {}
set {macrosdata(Dimension arc,InToolbar)} 0
set {macrosdata(Dimension arc,Active)} 1
set {macrosdata(Dimension arc,PrePost)} prepost
set {macrosdata(Dimension arc,Icon)} {dimension_arc.gif1 imported_images}
set {macrosdata(Dimension arc,Group)} Dimension
set {macrosdata(Dimension arc,Description)} {Dimension pointing to an arc center}
set {macrosdata(Dimension arc,CreationDate)} {2006-02-14 21:00:15}
set {macrosdata(Dimension arc,ModificationDate)} {2006-02-20 23:13:56}
set {macrosdata(Dimension arc,IsStandard)} 1

proc {Dimension arc} {} {
    GiD_Process MEscape Utilities Dimension Create Arc
}

#[_ "Modify the dimension text"]
set {macrosdata(Dimension edit,Number)} 6
set {macrosdata(Dimension edit,Accelerators)} {}
set {macrosdata(Dimension edit,InToolbar)} 1
set {macrosdata(Dimension edit,Active)} 1
set {macrosdata(Dimension edit,PrePost)} prepost
set {macrosdata(Dimension edit,Icon)} {dimension_edit.gif imported_images}
set {macrosdata(Dimension edit,Group)} Dimension
set {macrosdata(Dimension edit,Description)} {Modify the dimension text}
set {macrosdata(Dimension edit,CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Dimension edit,ModificationDate)} {2006-02-20 23:01:19}
set {macrosdata(Dimension edit,IsStandard)} 1

proc {Dimension edit} {} {
    GiD_Process MEscape Utilities Dimension Edit
}

#[_ "Delete a dimension"]
set {macrosdata(Dimension delete,Number)} 7
set {macrosdata(Dimension delete,Accelerators)} {}
set {macrosdata(Dimension delete,InToolbar)} 0
set {macrosdata(Dimension delete,Active)} 1
set {macrosdata(Dimension delete,PrePost)} prepost
set {macrosdata(Dimension delete,Icon)} {dimension_delete.gif1 imported_images}
set {macrosdata(Dimension delete,Group)} Dimension
set {macrosdata(Dimension delete,Description)} {Delete a dimension}
set {macrosdata(Dimension delete,CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Dimension delete,ModificationDate)} {2006-02-20 23:01:23}
set {macrosdata(Dimension delete,IsStandard)} 1

proc {Dimension delete} {} {
    GiD_Process MEscape Utilities Dimension Delete
}

#[_ "Send entities to the back (hidden) part of a layer"]
set {macrosdata(Send to back,Number)} 8
set {macrosdata(Send to back,Accelerators)} Ctrl-F1
set {macrosdata(Send to back,InToolbar)} 0
set {macrosdata(Send to back,Active)} 1
set {macrosdata(Send to back,PrePost)} pre
set {macrosdata(Send to back,Icon)} up-22
set {macrosdata(Send to back,Group)} Layers
set {macrosdata(Send to back,Description)} {Send entities to the back (hidden) part of a layer}
set {macrosdata(Send to back,CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Send to back,ModificationDate)} {2006-02-17 22:20:13}
set {macrosdata(Send to back,IsStandard)} 1

proc {Send to back} {} {
    GiD_Process Layer SendToBack LowerEntities Surfaces
}

#[_ "Send unselected entities to the back (hidden) part of a layer"]
set {macrosdata(Send to back (Opposite),Number)} 9
set {macrosdata(Send to back (Opposite),Accelerators)} Ctrl-F2
set {macrosdata(Send to back (Opposite),InToolbar)} 0
set {macrosdata(Send to back (Opposite),Active)} 1
set {macrosdata(Send to back (Opposite),PrePost)} pre
set {macrosdata(Send to back (Opposite),Icon)} {send_to_back_opposite.gif imported_images}
set {macrosdata(Send to back (Opposite),Group)} Layers
set {macrosdata(Send to back (Opposite),Description)} {Send unselected entities to the back (hidden) part of a layer}
set {macrosdata(Send to back (Opposite),CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Send to back (Opposite),ModificationDate)} {2006-02-16 13:43:39}
set {macrosdata(Send to back (Opposite),IsStandard)} 1

proc {Send to back (Opposite)} {} {
    GiD_Process Layer SendToBackOpposite LowerEntities Surfaces
}

#[_ "Send to the visible front part entities in back layers"]
set {macrosdata(Bring to front,Number)} 10
set {macrosdata(Bring to front,Accelerators)} {}
set {macrosdata(Bring to front,InToolbar)} 0
set {macrosdata(Bring to front,Active)} 1
set {macrosdata(Bring to front,PrePost)} pre
set {macrosdata(Bring to front,Icon)} down-22
set {macrosdata(Bring to front,Group)} Layers
set {macrosdata(Bring to front,Description)} {Send to the visible front part entities in back layers}
set {macrosdata(Bring to front,CreationDate)} {2004-11-30 18:57:31}
set {macrosdata(Bring to front,ModificationDate)} {2006-02-16 13:43:52}
set {macrosdata(Bring to front,IsStandard)} 1

proc {Bring to front} {} {
    GiD_Process Layer BringToFrontAll Escape
}

#[_ "Send to back"]
set {macrosdata(Send to back E,Number)} 11
set {macrosdata(Send to back E,Accelerators)} Ctrl-F1
set {macrosdata(Send to back E,InToolbar)} 0
set {macrosdata(Send to back E,Active)} 0
set {macrosdata(Send to back E,PrePost)} post
set {macrosdata(Send to back E,Icon)} up-22
set {macrosdata(Send to back E,Group)} Layers
set {macrosdata(Send to back E,Description)} {Send to back}
set {macrosdata(Send to back E,CreationDate)} {2004-11-30 20:20:29}
set {macrosdata(Send to back E,ModificationDate)} {2005-07-27 17:09:07}
set {macrosdata(Send to back E,IsStandard)} 1

proc {Send to back E} {} {
    set ::GidPriv(LayersBackOpposite) 0
    PDSendToBack ""  Elements
}

#[_ "Send to back (Opposite)"]
set {macrosdata(Send to back E (opposite),Number)} 12
set {macrosdata(Send to back E (opposite),Accelerators)} Ctrl-F2
set {macrosdata(Send to back E (opposite),InToolbar)} 0
set {macrosdata(Send to back E (opposite),Active)} 0
set {macrosdata(Send to back E (opposite),PrePost)} post
set {macrosdata(Send to back E (opposite),Icon)} {send_to_back_opposite.gif imported_images}
set {macrosdata(Send to back E (opposite),Group)} Layers
set {macrosdata(Send to back E (opposite),Description)} {Send to back (Opposite)}
set {macrosdata(Send to back E (opposite),CreationDate)} {2004-11-30 20:24:54}
set {macrosdata(Send to back E (opposite),ModificationDate)} {2005-07-27 17:09:54}
set {macrosdata(Send to back E (opposite),IsStandard)} 1

proc {Send to back E (opposite)} {} {
    set ::GidPriv(LayersBackOpposite) 1
    PDSendToBack ""  Elements
}

#[_ "Bring to front"]
set {macrosdata(Bring to front E,Number)} 13
set {macrosdata(Bring to front E,Accelerators)} {}
set {macrosdata(Bring to front E,InToolbar)} 0
set {macrosdata(Bring to front E,Active)} 0
set {macrosdata(Bring to front E,PrePost)} post
set {macrosdata(Bring to front E,Icon)} down-22
set {macrosdata(Bring to front E,Group)} Layers
set {macrosdata(Bring to front E,Description)} {Bring to front}
set {macrosdata(Bring to front E,CreationDate)} {2004-11-30 20:21:40}
set {macrosdata(Bring to front E,ModificationDate)} {2005-08-11 23:04:36}
set {macrosdata(Bring to front E,IsStandard)} 1

proc {Bring to front E} {} {
    PDSendToBack "" AllToFront
}

#[_ "Create a trimmed surface from a base surface and a new boundary"]
set {macrosdata(Trimmed surface,Number)} 14
set {macrosdata(Trimmed surface,Accelerators)} {}
set {macrosdata(Trimmed surface,InToolbar)} 1
set {macrosdata(Trimmed surface,Active)} 1
set {macrosdata(Trimmed surface,PrePost)} pre
set {macrosdata(Trimmed surface,Icon)} {surface_trim.gif imported_images}
set {macrosdata(Trimmed surface,Group)} {Geometry Creation}
set {macrosdata(Trimmed surface,Description)} {Create a trimmed surface from a base surface and a new boundary}
set {macrosdata(Trimmed surface,CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Trimmed surface,ModificationDate)} {2006-02-20 23:01:50}
set {macrosdata(Trimmed surface,IsStandard)} 1

proc {Trimmed surface} {} {
    GiD_Process MEscape Geometry Create TrimmedNurb
}

#[_ "Create a hole in a surface from a line's loop "]
set {macrosdata(Hole surface,Number)} 15
set {macrosdata(Hole surface,Accelerators)} {}
set {macrosdata(Hole surface,InToolbar)} 1
set {macrosdata(Hole surface,Active)} 1
set {macrosdata(Hole surface,PrePost)} pre
set {macrosdata(Hole surface,Icon)} {surface_hole.gif imported_images}
set {macrosdata(Hole surface,Group)} {Geometry Edit}
set {macrosdata(Hole surface,Description)} {Create a hole in a surface from a line's loop }
set {macrosdata(Hole surface,CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Hole surface,ModificationDate)} {2006-02-20 23:01:53}
set {macrosdata(Hole surface,IsStandard)} 1

proc {Hole surface} {} {
    GiD_Process MEscape Geometry Edit HoleNurb
}

#[_ "Create a new surface from a family of parallel lines"]
set {macrosdata(Surfaces from parallel lines,Number)} 16
set {macrosdata(Surfaces from parallel lines,Accelerators)} {}
set {macrosdata(Surfaces from parallel lines,InToolbar)} 1
set {macrosdata(Surfaces from parallel lines,Active)} 1
set {macrosdata(Surfaces from parallel lines,PrePost)} pre
set {macrosdata(Surfaces from parallel lines,Icon)} {surface_parallel_lines.gif1 imported_images}
set {macrosdata(Surfaces from parallel lines,Group)} {Geometry Creation}
set {macrosdata(Surfaces from parallel lines,Description)} {Create a new surface from a family of parallel lines}
set {macrosdata(Surfaces from parallel lines,CreationDate)} {2006-02-14 21:44:20}
set {macrosdata(Surfaces from parallel lines,ModificationDate)} {2006-02-20 23:36:22}
set {macrosdata(Surfaces from parallel lines,IsStandard)} 1

proc {Surfaces from parallel lines} {} {
    GiD_Process MEscape Geometry Create NurbsSurface ParallelLines
}

#[_ "Move a point (Warning: surfaces can't support big deformation)"]
set {macrosdata(move point,Number)} 17
set {macrosdata(move point,Accelerators)} {}
set {macrosdata(move point,InToolbar)} 1
set {macrosdata(move point,Active)} 1
set {macrosdata(move point,PrePost)} pre
set {macrosdata(move point,Icon)} {point_move.gif imported_images}
set {macrosdata(move point,Group)} {Geometry Edit}
set {macrosdata(move point,Description)} {Move a point (Warning: surfaces can't support big deformation)}
set {macrosdata(move point,CreationDate)} {2006-02-14 22:13:38}
set {macrosdata(move point,ModificationDate)} {2006-02-20 23:01:45}
set {macrosdata(move point,IsStandard)} 1

proc {move point} {} {
    GiD_Process MEscape Geometry Edit MovePoint
}

#[_ "Divide a line in a number of divisions"]
set {macrosdata(Divide line num divisions,Number)} 18
set {macrosdata(Divide line num divisions,Accelerators)} {}
set {macrosdata(Divide line num divisions,InToolbar)} 1
set {macrosdata(Divide line num divisions,Active)} 1
set {macrosdata(Divide line num divisions,PrePost)} pre
set {macrosdata(Divide line num divisions,Icon)} {line_divide_nparts.gif imported_images}
set {macrosdata(Divide line num divisions,Group)} {Geometry Edit}
set {macrosdata(Divide line num divisions,Description)} {Divide a line in a number of divisions}
set {macrosdata(Divide line num divisions,CreationDate)} {2006-02-14 22:32:48}
set {macrosdata(Divide line num divisions,ModificationDate)} {2006-02-20 23:02:00}
set {macrosdata(Divide line num divisions,IsStandard)} 1

proc {Divide line num divisions} {} {
    GiD_Process MEscape Geometry Edit DivideLine Multiple NumDivisions
}

#[_ "Divide a line near a point"]
set {macrosdata(Divide line near point,Number)} 19
set {macrosdata(Divide line near point,Accelerators)} {}
set {macrosdata(Divide line near point,InToolbar)} 1
set {macrosdata(Divide line near point,Active)} 1
set {macrosdata(Divide line near point,PrePost)} pre
set {macrosdata(Divide line near point,Icon)} {line_divide_nearpoint.gif imported_images}
set {macrosdata(Divide line near point,Group)} {Geometry Edit}
set {macrosdata(Divide line near point,Description)} {Divide a line near a point}
set {macrosdata(Divide line near point,CreationDate)} {2006-02-14 22:22:00}
set {macrosdata(Divide line near point,ModificationDate)} {2006-02-20 23:02:03}
set {macrosdata(Divide line near point,IsStandard)} 1

proc {Divide line near point} {} {
    GiD_Process MEscape Geometry Edit DivideLine Multiple Point PointInLine
}

#[_ " geometry create IntersectLines"]
set {macrosdata(Intersect lines,Number)} 20
set {macrosdata(Intersect lines,Accelerators)} {}
set {macrosdata(Intersect lines,InToolbar)} 1
set {macrosdata(Intersect lines,Active)} 1
set {macrosdata(Intersect lines,PrePost)} pre
set {macrosdata(Intersect lines,Icon)} {intersect_lines.gif1 imported_images}
set {macrosdata(Intersect lines,Group)} {Geometry Edit}
set {macrosdata(Intersect lines,Description)} { geometry create IntersectLines}
set {macrosdata(Intersect lines,CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Intersect lines,ModificationDate)} {2006-02-20 23:02:06}
set {macrosdata(Intersect lines,IsStandard)} 1

proc {Intersect lines} {} {
    GiD_Process Mescape Geometry Create IntMultLines
}

#[_ " geometry create IntersectLines NoDivideLines "]
set {macrosdata(Intersect lines (no divide),Number)} 21
set {macrosdata(Intersect lines (no divide),Accelerators)} {}
set {macrosdata(Intersect lines (no divide),InToolbar)} 0
set {macrosdata(Intersect lines (no divide),Active)} 1
set {macrosdata(Intersect lines (no divide),PrePost)} pre
set {macrosdata(Intersect lines (no divide),Icon)} {intersect_lines_nodivide.gif imported_images}
set {macrosdata(Intersect lines (no divide),Group)} {Geometry Edit}
set {macrosdata(Intersect lines (no divide),Description)} { geometry create IntersectLines NoDivideLines }
set {macrosdata(Intersect lines (no divide),CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Intersect lines (no divide),ModificationDate)} {2006-02-20 23:02:09}
set {macrosdata(Intersect lines (no divide),IsStandard)} 1

proc {Intersect lines (no divide)} {} {
    GiD_Process MEscape Geometry Create IntersectLines NoDivideLines
}

#[_ "Divide a surface in n parts in u or v direction"]
set {macrosdata(Divide surface,Number)} 22
set {macrosdata(Divide surface,Accelerators)} {}
set {macrosdata(Divide surface,InToolbar)} 1
set {macrosdata(Divide surface,Active)} 1
set {macrosdata(Divide surface,PrePost)} pre
set {macrosdata(Divide surface,Icon)} {surface_divide_nparts.gif imported_images}
set {macrosdata(Divide surface,Group)} {Geometry Edit}
set {macrosdata(Divide surface,Description)} {Divide a surface in n parts in u or v direction}
set {macrosdata(Divide surface,CreationDate)} {2006-02-15 23:30:30}
set {macrosdata(Divide surface,ModificationDate)} {2006-02-20 23:02:13}
set {macrosdata(Divide surface,IsStandard)} 1

proc {Divide surface} {} {
    GiD_Process MEscape Geometry Edit DivideSurf NumDivisions
}

#[_ "Split a surface from a path of lines"]
set {macrosdata(Split surface,Number)} 23
set {macrosdata(Split surface,Accelerators)} {}
set {macrosdata(Split surface,InToolbar)} 1
set {macrosdata(Split surface,Active)} 1
set {macrosdata(Split surface,PrePost)} pre
set {macrosdata(Split surface,Icon)} {surface_divide_split.gif imported_images}
set {macrosdata(Split surface,Group)} {Geometry Edit}
set {macrosdata(Split surface,Description)} {Split a surface from a path of lines}
set {macrosdata(Split surface,CreationDate)} {2006-02-15 23:19:26}
set {macrosdata(Split surface,ModificationDate)} {2006-02-20 23:02:17}
set {macrosdata(Split surface,IsStandard)} 1

proc {Split surface} {} {
    GiD_Process MEscape Geometry Edit SplitSurf
}

#[_ "Intersect a surface with lines"]
set {macrosdata(Intersect surface lines,Number)} 24
set {macrosdata(Intersect surface lines,Accelerators)} {}
set {macrosdata(Intersect surface lines,InToolbar)} 1
set {macrosdata(Intersect surface lines,Active)} 1
set {macrosdata(Intersect surface lines,PrePost)} pre
set {macrosdata(Intersect surface lines,Icon)} {intersect_line_surface.gif imported_images}
set {macrosdata(Intersect surface lines,Group)} {Geometry Edit}
set {macrosdata(Intersect surface lines,Description)} {Intersect a surface with lines}
set {macrosdata(Intersect surface lines,CreationDate)} {2006-02-16 13:39:46}
set {macrosdata(Intersect surface lines,ModificationDate)} {2006-02-20 23:02:25}
set {macrosdata(Intersect surface lines,IsStandard)} 1

proc {Intersect surface lines} {} {
    GiD_Process MEscape Geometry Create IntSurfLine
}

#[_ "Intersect multiple surfaces"]
set {macrosdata(Intersect surfaces,Number)} 25
set {macrosdata(Intersect surfaces,Accelerators)} {}
set {macrosdata(Intersect surfaces,InToolbar)} 1
set {macrosdata(Intersect surfaces,Active)} 1
set {macrosdata(Intersect surfaces,PrePost)} pre
set {macrosdata(Intersect surfaces,Icon)} {intersect_surfaces.gif imported_images}
set {macrosdata(Intersect surfaces,Group)} {Geometry Edit}
set {macrosdata(Intersect surfaces,Description)} {Intersect multiple surfaces}
set {macrosdata(Intersect surfaces,CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Intersect surfaces,ModificationDate)} {2006-02-20 23:02:28}
set {macrosdata(Intersect surfaces,IsStandard)} 1

proc {Intersect surfaces} {} {
    GiD_Process MEscape Geometry Create IntMultSurfs
}

#[_ "Creates a construction horizontal line in a temporal layer, containing one point defined by the user.\n    Length of the line depends on current geometry size"]
set {macrosdata(Construction line horizontal,Number)} 26
set {macrosdata(Construction line horizontal,Accelerators)} {}
set {macrosdata(Construction line horizontal,InToolbar)} 0
set {macrosdata(Construction line horizontal,Active)} 1
set {macrosdata(Construction line horizontal,PrePost)} pre
set {macrosdata(Construction line horizontal,Icon)} border_horizontal-22
set {macrosdata(Construction line horizontal,Group)} {Constr. line}
set {macrosdata(Construction line horizontal,Description)} {Creates a construction horizontal line in a temporal layer, containing one point defined by the user.
    Length of the line depends on current geometry size}
set {macrosdata(Construction line horizontal,CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Construction line horizontal,ModificationDate)} {2006-02-20 23:38:52}
set {macrosdata(Construction line horizontal,IsStandard)} 1

proc {Construction line horizontal} {} {
    set layers [GiD_Info Layers]
    set ipos [lsearch -exact $layers *construction_lines*]
    if { $ipos == -1 } { GiD_Process Layers New *construction_lines* escape }
    if { $ipos == -1 } { GiD_Process Layers Color *construction_lines* 255255000 escape }
    if { $ipos != -1 } { set layers [lreplace $layers $ipos $ipos] }
    set current_layer [GiD_Info Project LayerToUse]
    GiD_Process Layers ToUse *construction_lines* escape
    set bbox [eval GiD_Info layers -bbox $layers]
    set max_size [expr {60*[CEGiveSizeFromBBox $bbox]}]
    set p1 [GidUtils::GetCoordinates "Enter point for H line"]
    GiD_Process MEscape Utilities Id FFNoJoin $p1 escape 
    GiD_Process MEscape Geometry Create line  @[expr {-.5*$max_size}],0 @$max_size,0 escape escape
    GiD_Process Layers ToUse $current_layer escape
}

#[_ "Creates a construction vertical line in a temporal layer, containing one point defined by the user.\n    Length of the line depends on current geometry size"]
set {macrosdata(Construction line vertical,Number)} 27
set {macrosdata(Construction line vertical,Accelerators)} {}
set {macrosdata(Construction line vertical,InToolbar)} 0
set {macrosdata(Construction line vertical,Active)} 1
set {macrosdata(Construction line vertical,PrePost)} pre
set {macrosdata(Construction line vertical,Icon)} border_vertical-22
set {macrosdata(Construction line vertical,Group)} {Constr. line}
set {macrosdata(Construction line vertical,Description)} {Creates a construction vertical line in a temporal layer, containing one point defined by the user.
    Length of the line depends on current geometry size}
set {macrosdata(Construction line vertical,CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Construction line vertical,ModificationDate)} {2006-02-20 23:02:42}
set {macrosdata(Construction line vertical,IsStandard)} 1

proc {Construction line vertical} {} {
    set layers [GiD_Info Layers]
    set ipos [lsearch -exact $layers *construction_lines*]
    if { $ipos == -1 } { GiD_Process Layers New *construction_lines* escape }
    if { $ipos == -1 } { GiD_Process Layers Color *construction_lines* 255255000 escape }
    if { $ipos != -1 } { set layers [lreplace $layers $ipos $ipos] }
    set current_layer [GiD_Info Project LayerToUse]
    GiD_Process Layers ToUse *construction_lines* escape
    set bbox [eval GiD_Info layers -bbox $layers]
    set max_size [expr {60*[CEGiveSizeFromBBox $bbox]}]
    set p1 [GidUtils::GetCoordinates "Enter point for V line"]
    GiD_Process MEscape Utilities Id FFNoJoin $p1 escape 
    GiD_Process MEscape Geometry Create line  @0,[expr {-.5*$max_size}] @0,$max_size escape escape
    GiD_Process Layers ToUse $current_layer escape
}

#[_ "Split all triangles with edge size greater than an user size"]
set {macrosdata(Split Big Triangles,Number)} 28
set {macrosdata(Split Big Triangles,Accelerators)} {}
set {macrosdata(Split Big Triangles,InToolbar)} 0
set {macrosdata(Split Big Triangles,Active)} 1
set {macrosdata(Split Big Triangles,PrePost)} pre
set {macrosdata(Split Big Triangles,Icon)} {split_elements.gif imported_images}
set {macrosdata(Split Big Triangles,Group)} {Mesh Edit}
set {macrosdata(Split Big Triangles,Description)} {Split all triangles with edge size greater than an user size}
set {macrosdata(Split Big Triangles,CreationDate)} {2006-01-31 12:53:02}
set {macrosdata(Split Big Triangles,ModificationDate)} {2006-02-16 16:12:30}
set {macrosdata(Split Big Triangles,IsStandard)} 1

proc {Split Big Triangles} {} {
    proc SplitTrianglesEdgeMaxSize { size } {
	    if { $size <= 0 } return
	    GiD_Process escape escape escape escape Meshing EditMesh SplitElems TriaToTria
	    GiD_Process   filter:MAXLENGTH=[string trim $size]
	    GiD_Process 1:
	    GiD_Process MEscape Meshing EditMesh Smoothing
	    GiD_Process 1:
	    GiD_Process MEscape
    }
    
    proc SplitTrianglesEdgeMaxSizeW { } {
	    if { ![info exists ::MaxEdgeSize] } {
     set ::MaxEdgeSize 1.0
	    }
	    set size [tk_dialogEntryRAM .gid.maxedgesize [_ "Split triangles"] [_ "Enter edge size"] gidquestionhead real+ $::MaxEdgeSize ""]
	    if { $size == "--CANCEL--" } {
     return 1
	    } else {    
     set ::MaxEdgeSize $size
     SplitTrianglesEdgeMaxSize $size
	    }
    }
    
    SplitTrianglesEdgeMaxSizeW
}

#[_ "Collapse all triangles with edge size smaller than an user size"]
set {macrosdata(Collapse Small Triangles,Number)} 29
set {macrosdata(Collapse Small Triangles,Accelerators)} {}
set {macrosdata(Collapse Small Triangles,InToolbar)} 0
set {macrosdata(Collapse Small Triangles,Active)} 1
set {macrosdata(Collapse Small Triangles,PrePost)} pre
set {macrosdata(Collapse Small Triangles,Icon)} {collapse_edges.gif imported_images}
set {macrosdata(Collapse Small Triangles,Group)} {Mesh Edit}
set {macrosdata(Collapse Small Triangles,Description)} {Collapse all triangles with edge size smaller than an user size}
set {macrosdata(Collapse Small Triangles,CreationDate)} {2006-01-31 15:41:36}
set {macrosdata(Collapse Small Triangles,ModificationDate)} {2006-02-16 16:23:28}
set {macrosdata(Collapse Small Triangles,IsStandard)} 1

proc {Collapse Small Triangles} {} {
    proc CollapseTrianglesEdgeMinSize { size } {
	    if { $size <= 0 } return
	    GiD_Process escape escape escape escape Utilities Collapse Edges
	    GiD_Process Tolerance [string trim $size]
	    GiD_Process 1:
	    GiD_Process MEscape Meshing EditMesh Smoothing
	    GiD_Process 1:
	    GiD_Process MEscape
    }
    
    proc CollapseTrianglesEdgeMinSizeW { } {
	    if { ![info exists ::MinEdgeSize] } {
     set ::MinEdgeSize 1.0
	    }
	    set size [tk_dialogEntryRAM .gid.edgesize [_ "Edge size"] [_ "Enter edge size"] gidquestionhead real+ $::MinEdgeSize ""]
	    if { $size == "--CANCEL--" } {
     return 1
	    } else {    
     set ::MinEdgeSize $size
     CollapseTrianglesEdgeMinSize $size
	    }
    }
    
    CollapseTrianglesEdgeMinSizeW
}

#[_ "Align the quadratic nodes to the mid edges"]
set {macrosdata(Align Quadratic Nodes,Number)} 30
set {macrosdata(Align Quadratic Nodes,Accelerators)} {}
set {macrosdata(Align Quadratic Nodes,InToolbar)} 0
set {macrosdata(Align Quadratic Nodes,Active)} 1
set {macrosdata(Align Quadratic Nodes,PrePost)} pre
set {macrosdata(Align Quadratic Nodes,Icon)} {align_quadratic_nodes.gif imported_images}
set {macrosdata(Align Quadratic Nodes,Group)} {Mesh Edit}
set {macrosdata(Align Quadratic Nodes,Description)} {Align the quadratic nodes to the mid edges}
set {macrosdata(Align Quadratic Nodes,CreationDate)} {2007-05-03 21:01:46}
set {macrosdata(Align Quadratic Nodes,ModificationDate)} {2007-05-03 21:16:01}
set {macrosdata(Align Quadratic Nodes,IsStandard)} 1

proc {Align Quadratic Nodes} {} {
    proc CenterQuadraticNodes { } {
	set isquadratic [GiD_Info project quadratic]
	if { !$isquadratic } {
     return 1
	}
	::GidUtils::WaitState .
	set t0 [clock seconds]    
	foreach elemtype [lrange [GiD_Info mesh] 1 end] {
     set elems [GiD_Info mesh elements $elemtype]
     if { $elemtype == "Linear" } {
		    foreach {num na nb ni mat} $elems {
      set pa [lindex [GiD_Info Coordinates $na mesh] 0]
      set pb [lindex [GiD_Info Coordinates $nb mesh] 0]
      set pi [MathUtils::ScalarByVectorProd 0.5 [MathUtils::VectorSum $pa $pb]]
      GiD_Mesh edit node $ni $pi
		    }
     } elseif { $elemtype == "Triangle" } {
		    foreach {num n0 n1 n2 n3 n4 n5 mat} $elems {
      foreach ni [list $n3 $n4 $n5] na [list $n0 $n1 $n2] nb [list $n1 $n2 $n0] {
		            set pa [lindex [GiD_Info Coordinates $na mesh] 0]
		            set pb [lindex [GiD_Info Coordinates $nb mesh] 0]
		            set pi [MathUtils::ScalarByVectorProd 0.5 [MathUtils::VectorSum $pa $pb]]
		            GiD_Mesh edit node $ni $pi
      }
		    }
     } elseif { $elemtype == "Quadrilateral" } {
		    if { $isquadratic == 1 } {
      foreach {num n0 n1 n2 n3 n4 n5 n6 n7 mat} $elems {
		            foreach ni [list $n4 $n5 $n6 $n7] na [list $n0 $n1 $n2 $n3] nb [list $n1 $n2 $n3 $n0] {
       set pa [lindex [GiD_Info Coordinates $na mesh] 0]
       set pb [lindex [GiD_Info Coordinates $nb mesh] 0]
       set pi [MathUtils::ScalarByVectorProd 0.5 [MathUtils::VectorSum $pa $pb]]
       GiD_Mesh edit node $ni $pi
		            }
      }
		    } else {
      foreach {num n0 n1 n2 n3 n4 n5 n6 n7 n8 mat} $elems {
		            foreach ni [list $n4 $n5 $n6 $n7] na [list $n0 $n1 $n2 $n3] nb [list $n1 $n2 $n3 $n0] {
       set pa [lindex [GiD_Info Coordinates $na mesh] 0]
       set pb [lindex [GiD_Info Coordinates $nb mesh] 0]
       set pi [MathUtils::ScalarByVectorProd 0.5 [MathUtils::VectorSum $pa $pb]]
       GiD_Mesh edit node $ni $pi
		            }
		            set pi [lindex [GiD_Info Coordinates $n0 mesh] 0]
		            set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $n1 mesh] 0]]
		            set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $n2 mesh] 0]]
		            set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $n3 mesh] 0]]
		            set pi [MathUtils::ScalarByVectorProd 0.25 $pi]
		            GiD_Mesh edit node $n8 $pi
      }
		    } 
     } elseif { $elemtype == "Tetrahedra" } {
		    foreach {num n1 n2 n3 n4 n5 n6 n7 n8 n9 n10 mat} $elems {
      foreach ni [list $n5 $n6 $n7 $n8 $n9 $n10]  na [list $n1 $n2 $n1 $n1 $n2 $n3]  nb [list $n2 $n3 $n3 $n4 $n4 $n4] {
       set pa [lindex [GiD_Info Coordinates $na mesh] 0]
       set pb [lindex [GiD_Info Coordinates $nb mesh] 0]
       set pi [MathUtils::ScalarByVectorProd 0.5 [MathUtils::VectorSum $pa $pb]]
       GiD_Mesh edit node $ni $pi
		            }
		    }
     } elseif { $elemtype == "Hexahedra" } {
		    if { $isquadratic == 1 } {
      foreach {num n1 n2 n3 n4 n5 n6 n7 n8 n9 n10 n11 n12 n13 n14 n15 n16 n17 n18 n19 n20 mat} $elems {
		            foreach ni [list $n9 $n10 $n11 $n12 $n13 $n14 $n15 $n16 $n17 $n18 $n19 $n20]  na [list $n1 $n2  $n3  $n1  $n1  $n2  $n3  $n4  $n5  $n6  $n7  $n5 ]  nb [list $n2 $n3  $n4  $n4  $n5  $n6  $n7  $n8  $n6  $n7  $n8  $n8 ] {
    set pa [lindex [GiD_Info Coordinates $na mesh] 0]
    set pb [lindex [GiD_Info Coordinates $nb mesh] 0]
    set pi [MathUtils::ScalarByVectorProd 0.5 [MathUtils::VectorSum $pa $pb]]
    GiD_Mesh edit node $ni $pi
       }
      }
		    } else {
      foreach {num n1 n2 n3 n4 n5 n6 n7 n8 n9 n10 n11 n12 n13 n14 n15 n16 n17 n18 n19 n20  n21 n22 n23 n24 n25 n26 n27 mat} $elems {
		            foreach ni [list $n9 $n10 $n11 $n12 $n13 $n14 $n15 $n16 $n17 $n18 $n19 $n20]  na [list $n1 $n2  $n3  $n1  $n1  $n2  $n3  $n4  $n5  $n6  $n7  $n5 ]  nb [list $n2 $n3  $n4  $n4  $n5  $n6  $n7  $n8  $n6  $n7  $n8  $n8 ] {
    set pa [lindex [GiD_Info Coordinates $na mesh] 0]
    set pb [lindex [GiD_Info Coordinates $nb mesh] 0]
    set pi [MathUtils::ScalarByVectorProd 0.5 [MathUtils::VectorSum $pa $pb]]
    GiD_Mesh edit node $ni $pi
       }
		            foreach ni [list $n21 $n22 $n23 $n24 $n25 $n26]  na [list $n1  $n1  $n2  $n3  $n1  $n5 ]  nb [list $n2  $n2  $n3  $n7  $n4  $n6 ]  nc [list $n3  $n6  $n7  $n8  $n8  $n7 ]  nd [list $n4  $n5  $n6  $n4  $n5  $n8 ] {
    set pi [lindex [GiD_Info Coordinates $na mesh] 0]
    set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $nb mesh] 0]]
    set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $nc mesh] 0]]
    set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $nd mesh] 0]]
    set pi [MathUtils::ScalarByVectorProd 0.25 $pi]
    GiD_Mesh edit node $ni $pi
       }
		            set pi [lindex [GiD_Info Coordinates $n1 mesh] 0]
		            set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $n2 mesh] 0]]
		            set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $n3 mesh] 0]]
		            set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $n4 mesh] 0]]
		            set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $n5 mesh] 0]]
		            set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $n6 mesh] 0]]
		            set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $n7 mesh] 0]]
		            set pi [MathUtils::VectorSum $pi [lindex [GiD_Info Coordinates $n8 mesh] 0]]
		            set pi [MathUtils::ScalarByVectorProd 0.125 $pi]
      }
		    }
     } elseif { $elemtype == "Tetrahedra" } {
		    foreach {num n1 n2 n3 n4 n5 n6 n7 n8 n9 n10 n11 n12 n13 n14 n15 mat} $elems {
      foreach ni [list $n7 $n8 $n9 $n10 $n11 $n12 $n13 $n14 $n15]  na [list $n1 $n2 $n1 $n1  $n2  $n3  $n4  $n5  $n4 ]  nb [list $n2 $n3 $n3 $n4  $n5  $n6  $n5  $n6  $n6 ] {
       set pa [lindex [GiD_Info Coordinates $na mesh] 0]
       set pb [lindex [GiD_Info Coordinates $nb mesh] 0]
       set pi [MathUtils::ScalarByVectorProd 0.5 [MathUtils::VectorSum $pa $pb]]
       GiD_Mesh edit node $ni $pi
		            }
		    }
     } else {
		    #other elements
     }
	}
	::GidUtils::EndWaitState .
	::GidUtils::SetWarnLine [= "Quadratic elements set to linear shape. Time= %s seconds" [expr [clock seconds]-$t0]]
	GiD_Redraw
    }
    
    CenterQuadraticNodes
}

#[_ "Read preferences from a file (to avoid restart the system with other user)"]
set {macrosdata(Read Preferences,Number)} 31
set {macrosdata(Read Preferences,Accelerators)} {}
set {macrosdata(Read Preferences,InToolbar)} 0
set {macrosdata(Read Preferences,Active)} 1
set {macrosdata(Read Preferences,PrePost)} pre
set {macrosdata(Read Preferences,Icon)} {user_open.gif imported_images}
set {macrosdata(Read Preferences,Group)} Tools
set {macrosdata(Read Preferences,Description)} {Read preferences from a file (to avoid restart the system with other user)}
set {macrosdata(Read Preferences,CreationDate)} {2006-02-13 20:59:36}
set {macrosdata(Read Preferences,ModificationDate)} {2006-02-14 21:18:16}
set {macrosdata(Read Preferences,IsStandard)} 1

proc {Read Preferences} {} {
    proc ReadDefaultsFromFile { filename } {
	    ReadDefaultValues $filename ;#tcl values
	    readdefaults $filename 0 ;#kernel values
	    if  { [winfo exists .gid.wvar] } {
     FillPrefValuesFromGid
	    }
    }
    
    proc ReadDefaultsFromFileW { } {
	set w .gid
	set types [list [list [_ "Preferences file"] ".ini"] [list [_ "All files"] ".*"]]
	set filename [Browser-ramR file read $w [_ "Read preferences file"] "" $types .ini 0]
	if { $filename == "" } { return }
	ReadDefaultsFromFile $filename
    }
    
    ReadDefaultsFromFileW
}

#[_ "Save preferences to a file (to avoid restart the system with other user)"]
set {macrosdata(Save Preferences,Number)} 32
set {macrosdata(Save Preferences,Accelerators)} {}
set {macrosdata(Save Preferences,InToolbar)} 0
set {macrosdata(Save Preferences,Active)} 1
set {macrosdata(Save Preferences,PrePost)} pre
set {macrosdata(Save Preferences,Icon)} {user_save.gif imported_images}
set {macrosdata(Save Preferences,Group)} Tools
set {macrosdata(Save Preferences,Description)} {Save preferences to a file (to avoid restart the system with other user)}
set {macrosdata(Save Preferences,CreationDate)} {2006-02-13 21:49:11}
set {macrosdata(Save Preferences,ModificationDate)} {2006-02-14 21:18:06}
set {macrosdata(Save Preferences,IsStandard)} 1

proc {Save Preferences} {} {
    proc SaveDefaultsToFile { filename } {
	    writedefaults $filename;#kernel values
	    WriteTCLDefaultsInFile $filename ;#tcl values
    }
    
    proc SaveDefaultsToFileW { } {
	set w .gid
	set types [list [list [_ "Preferences file"] ".ini"] [list [_ "All files"] ".*"]]
	set filename [Browser-ramR file write $w [_ "Save preferences file"] "" $types .ini 0]
	if { $filename == "" } { return }
	SaveDefaultsToFile $filename
    }
    
    SaveDefaultsToFileW
}

#[_ "Delete duplicated near points with a tolerance"]
set {macrosdata(Collapse points,Number)} 33
set {macrosdata(Collapse points,Accelerators)} {}
set {macrosdata(Collapse points,InToolbar)} 0
set {macrosdata(Collapse points,Active)} 1
set {macrosdata(Collapse points,PrePost)} pre
set {macrosdata(Collapse points,Icon)} {collapse_points.gif1 imported_images}
set {macrosdata(Collapse points,Group)} {Geometry Edit}
set {macrosdata(Collapse points,Description)} {Delete duplicated near points with a tolerance}
set {macrosdata(Collapse points,CreationDate)} {2006-02-14 23:37:21}
set {macrosdata(Collapse points,ModificationDate)} {2006-02-20 23:02:50}
set {macrosdata(Collapse points,IsStandard)} 1

proc {Collapse points} {} {
    GiD_Process MEscape Utilities Collapse Points
}

#[_ "Delete duplicated near lines with a tolerance"]
set {macrosdata(Collapse lines,Number)} 34
set {macrosdata(Collapse lines,Accelerators)} {}
set {macrosdata(Collapse lines,InToolbar)} 0
set {macrosdata(Collapse lines,Active)} 1
set {macrosdata(Collapse lines,PrePost)} pre
set {macrosdata(Collapse lines,Icon)} {collapse_lines.gif imported_images}
set {macrosdata(Collapse lines,Group)} {Geometry Edit}
set {macrosdata(Collapse lines,Description)} {Delete duplicated near lines with a tolerance}
set {macrosdata(Collapse lines,CreationDate)} {2006-02-14 23:42:43}
set {macrosdata(Collapse lines,ModificationDate)} {2006-02-20 23:02:53}
set {macrosdata(Collapse lines,IsStandard)} 1

proc {Collapse lines} {} {
    GiD_Process MEscape Utilities Collapse Lines
}

#[_ "Delete duplicated entities of the model with a tolerance"]
set {macrosdata(Collapse  model,Number)} 35
set {macrosdata(Collapse  model,Accelerators)} {}
set {macrosdata(Collapse  model,InToolbar)} 1
set {macrosdata(Collapse  model,Active)} 1
set {macrosdata(Collapse  model,PrePost)} pre
set {macrosdata(Collapse  model,Icon)} {collapse_alltypes.gif imported_images}
set {macrosdata(Collapse  model,Group)} {Geometry Edit}
set {macrosdata(Collapse  model,Description)} {Delete duplicated entities of the model with a tolerance}
set {macrosdata(Collapse  model,CreationDate)} {2006-02-14 23:39:16}
set {macrosdata(Collapse  model,ModificationDate)} {2006-02-20 23:02:56}
set {macrosdata(Collapse  model,IsStandard)} 1

proc {Collapse  model} {} {
    GiD_Process MEscape Utilities Collapse Model
}

#[_ "List some filtered results"]
set macrosdata(ListResults,Number) 36
set macrosdata(ListResults,Accelerators) {}
set macrosdata(ListResults,InToolbar) 1
set macrosdata(ListResults,Active) 1
set macrosdata(ListResults,PrePost) post
set macrosdata(ListResults,Icon) text_left-22
set macrosdata(ListResults,Group) View
set macrosdata(ListResults,Description) {List some filtered results}
set macrosdata(ListResults,CreationDate) {2006-02-15 11:38:42}
set macrosdata(ListResults,ModificationDate) {2006-02-15 22:45:25}
set macrosdata(ListResults,IsStandard) 1

proc ListResults {} {
    namespace eval ::PostUtils {
      }
    
    #over: nodes or elements
    #results: list with this possible options: nodesnum, nodescoord, elemsnum, 
    #         elemsconec, elemstype, elemslayer, <result name>
    #selection: list of id's (can be used a:b)
    #presentation: TEXT or LIST
    proc ::PostUtils::SelectResults { results over selection {presentation TEXT} } {
	  set info [eval GiD_Info list_entities $over $selection]
	set info [split $info \n]
	  
	set res ""
	if { $over == "nodes" } {
	    if { [GiD_Info postprocess get cur_result] != "" } {
		set infoitems {numinfo usedbyinfo currentinfo moreinfo}
	    } else {
		set infoitems {numinfo usedbyinfo moreinfo}
	    }
	    foreach $infoitems [lrange $info 1 end-1] {
		set res2 ""
		if { [lsearch $results "nodesnum"] != -1 } {
		    lappend res2 [lindex $numinfo 1]
		}
		if { [lsearch $results "nodescoord"] != -1 } {
		    lappend res2 [string trim [lindex $numinfo 2]]
		}
		foreach resultinfo [lindex $moreinfo 2] {
		    set name [lindex $resultinfo 0]
		    if { [lsearch $results $name] != -1 } {
		        if { [string trim [lindex $resultinfo 1]] != "" } {
		            set resultnames($name) ""
		            foreach item [string trim [lindex $resultinfo 1]] {
		                lappend resultnames($name) $item                      
		            }
		        }
		        lappend res2 [string trim [lindex [lindex $resultinfo 2] 0]]
		    }                
		}           
		lappend res $res2
	    }
	} elseif { $over == "elements" } {
	    if { [GiD_Info postprocess get cur_result] != "" } {
		set infoitems {numinfo currentinfo gausspoints moreinfo}
	    } else {
		set infoitems {numinfo gausspoints moreinfo}
	    }
	    foreach $infoitems [lrange $info 1 end-1] {
		set res2 ""
		if { [lsearch $results "elemsnum"] != -1 } {
		    lappend res2 [lindex $numinfo 1]
		}
		if { [lsearch $results "elemsconec"] != -1 } {
		    lappend res2 [string trim [lindex $numinfo 2]]
		}
		if { [lsearch $results "elemstype"] != -1 } {
		    lappend res2 [string trim [lindex $numinfo 3]]
		}
		if { [lsearch $results "elemslayer"] != -1 } {
		    lappend res2 [string trim [lindex $numinfo 4]]
		}
		foreach resultinfo [lindex $moreinfo 2] {
		    set name [lindex $resultinfo 0]
		    if { [lsearch $results $name] != -1 } {
		        if { [string trim [lindex $resultinfo 2]] != "" } {
		            set resultnames($name) ""
		            foreach item [string trim [lindex $resultinfo 2]] {
		                lappend resultnames($name) $item                      
		            }
		        }                    
		        lappend res2 [string trim [lindex $resultinfo 3]]
		    }                
		}           
		lappend res $res2
	    }
	}    
	  if { $presentation == "TEXT" } {
	    set newres ""
	    foreach item $results {
		if { [info exists resultnames($item)] && $resultnames($item) != "" } {
		    foreach component $resultnames($item) {
		        set txt $item:$component
		        regsub -all { } $txt _ txt
		        append newres $txt " "
		    }               
		} else {                
		    if { $item == "nodesnum" || $item == "elemsnum" } {
		        set txt [_ "Number"]
		        regsub -all { } $txt _ txt
		    } elseif { $item == "nodescoord" } {
		        set txt "X Y Z"
		    } elseif { $item == "elemsconec" } {
		        set txt [_ "connectivities"]
		    } else {
		        set txt $item
		        regsub -all { } $txt _ txt
		    }
		    append newres $txt " "
		}
	    }
	    set newres [string trim $newres]\n
	    foreach item $res {
		#append newres [eval concat [eval concat $item]]\n
		append newres [eval concat $item]\n
	    }
	    set res $newres
	}
	WarnWinText $res
	return $res
    }
    
    proc ::PostUtils::ApplySelectResults { w } {
	global PostUtils
	  set results ""
	if { $PostUtils(over) == "nodes" } {
	    if { $PostUtils(output,number) } {
		lappend results nodesnum
	    }
	    if { $PostUtils(output,coordinates) } {
		lappend results nodescoord
	    }
	} else {
	    if { $PostUtils(output,number) } {
		lappend results elemsnum
	    }
	    if { $PostUtils(output,connectivities) } {
		lappend results elemsconec
	    }
	}
	foreach item [GiD_Info postprocess get cur_results_list contour_fill] {
	    regsub -all _ $item { } item
	    if { $PostUtils(over,$item) == $PostUtils(over) && $PostUtils(output,$item) } {
		lappend results $item            
	    }
	}
	  if { [llength $results] > 0 } {
	    set SmallWinSelecting [GiD_Set SmallWinSelecting]
	    FinishButton $w $w.buts [_ "Press 'Finish' to end selection"] "" disableall $SmallWinSelecting
	    set entities [GidUtils::PickEntities $PostUtils(over) multiple]
	    EndFinishButton $w "" $SmallWinSelecting
	    if { $entities != "" } {
		::PostUtils::SelectResults $results $PostUtils(over) $entities]
	    } else {
     GidUtils::SetWarnLine [_ "Must select some entity"]
	    }
    } else {
	    GidUtils::SetWarnLine [_ "Must select some result"]
    }    
    }
    
    proc ::PostUtils::SelectResultsW { { w .gid.selectresults } } {
    global PostUtils
    
    InitWindow $w [_ "Select Results"] SelectResultsWindowGeom ::PostUtils::SelectResultsW
    
    frame $w.f -relief ridge -bd 2
    
    frame $w.f.f0
    radiobutton $w.f.f0.rb0 -text [_ "Nodes"] -value nodes -variable PostUtils(over)
    radiobutton $w.f.f0.rb1 -text [_ "Elements"] -value elements -variable PostUtils(over)
    if { ![info exists PostUtils(over)] || ($PostUtils(over) != "nodes" && $PostUtils(over) != "elements") } {
	    set PostUtils(over) nodes
    }
    
    if { ![info exists PostUtils(output,number)] } {
	    set PostUtils(output,number) 1
    }
    
    checkbutton $w.f.f0.cbcoordinates -text [_ "Coordinates"] -variable PostUtils(output,coordinates)
    if { $PostUtils(over) == "nodes" } {
	    $w.f.f0.cbcoordinates configure -state normal            
    } else {
	    $w.f.f0.cbcoordinates configure -state disable
    }
    checkbutton $w.f.f0.cbconnectivities -text [_ "Connectivities"] -variable PostUtils(output,connectivities)
    if { $PostUtils(over) == "nodes" } {
	    $w.f.f0.cbconnectivities configure -state disable
    } else {
	    $w.f.f0.cbconnectivities configure -state normal
    }
    checkbutton $w.f.number -text [_ "Number"] -variable PostUtils(output,number)
    
    #array unset PostUtils(output,*)
    set results [GiD_Info postprocess get cur_results_list contour_fill]
    set cont 0
    foreach item $results {
	    set header [GiD_Result get -info [list $item [GiD_Info postprocess get cur_analysis] [GiD_Info postprocess get cur_step]]]        
	    regsub -all _ $item { } item
	    if { [lindex [lindex $header 0] 5] == "OnNodes" } {
     set PostUtils(over,$item) nodes
	    } else {
     set PostUtils(over,$item) elements
	    }
	    checkbutton $w.f.cb$cont -text [= $item] -variable PostUtils(output,$item)
	    if { $PostUtils(over,$item) == $PostUtils(over) } {
     $w.f.cb$cont configure -state normal            
	    } else {
     $w.f.cb$cont configure -state disable
	    }
	    incr cont
    }
    
    grid $w.f.f0.rb0 $w.f.f0.rb1 -sticky w
    grid $w.f.f0.cbcoordinates $w.f.f0.cbconnectivities -sticky w
    grid $w.f.f0 -sticky ew
    
    grid $w.f.number -sticky w
    for {set i 0} {$i < $cont} {incr i} {
	    grid $w.f.cb$i -sticky w
    }
    grid rowconfigure $w.f [expr {$cont+2}] -weight 1
    grid columnconfigure $w.f 0 -weight 1
    grid $w.f -sticky nsew
    
    set def_back [$w cget -background]
    frame $w.buts -bg [CCColorActivo $def_back]
    button $w.buts.apply -text [_ "Select"] -command "::PostUtils::ApplySelectResults $w"
    button $w.buts.close -text [_ "Close"] -command "destroy $w"
    SetWidgetsWidthFromText $w.buts.apply $w.buts.close
    
    grid $w.buts.apply $w.buts.close -sticky ew -padx 5 -pady 6
    grid $w.buts -sticky sew
    if { $::tcl_version >= 8.5 } { grid anchor $w.buts center }
    
    grid columnconfigure $w 0 -weight 1
    grid rowconfigure $w 0 -weight 1
    
    bind $w <Alt-c> "tkButtonInvoke $w.buts.close"
    bind $w <Escape> "tkButtonInvoke $w.buts.close"
    
    bind $w <Destroy> [list +::PostUtils::DestroySelectResults %W $w] ;# + to add to previous script
    
    trace add variable PostUtils(over) write "::PostUtils::ChangeSelectResultsOver $w ;#"
    }
    
    proc ::PostUtils::DestroySelectResults { W w } {    
    if { $W != $w } return
    #reenter multiple times, one by toplevel child, only interest w
    global PostUtils
    #catch { array unset PostUtils result,* } ;#remove also traces
    trace remove variable PostUtils(over) write "::PostUtils::ChangeSelectResultsOver $w ;#"
    }
    
    proc ::PostUtils::ChangeSelectResultsOver { w } {
    global PostUtils
    
    if { $PostUtils(over) == "nodes" } {
	    $w.f.f0.cbcoordinates configure -state normal
	    $w.f.f0.cbconnectivities configure -state disable
    } else {
	    $w.f.f0.cbcoordinates configure -state disable
	    $w.f.f0.cbconnectivities configure -state normal
    }
    
    set results [GiD_Info postprocess get cur_results_list contour_fill]
    set cont 0
    foreach item $results {
	    regsub -all _ $item { } item
	    if { $PostUtils(over,$item) == $PostUtils(over) } {
     $w.f.cb$cont configure -state normal            
	    } else {
     $w.f.cb$cont configure -state disable
	    }
	    incr cont
    }
    }
    
    ::PostUtils::SelectResultsW
}

#[_ "set all labels on/off"]
set {macrosdata(Label on/off,Number)} 37
set {macrosdata(Label on/off,Accelerators)} {}
set {macrosdata(Label on/off,InToolbar)} 1
set {macrosdata(Label on/off,Active)} 1
set {macrosdata(Label on/off,PrePost)} prepost
set {macrosdata(Label on/off,Icon)} {view_labels.gif imported_images}
set {macrosdata(Label on/off,Group)} View
set {macrosdata(Label on/off,Description)} {set all labels on/off}
set {macrosdata(Label on/off,CreationDate)} {2006-02-15 23:50:41}
set {macrosdata(Label on/off,ModificationDate)} {2006-02-20 23:04:03}
set {macrosdata(Label on/off,IsStandard)} 1

proc {Label on/off} {} {
    proc SetLabelsOnOff { } {
	global GidPriv
	if { ![info exists GidPriv(labelson)] } {
     set GidPriv(labelson) 0
	}
	if { $GidPriv(labelson) } {
     set  GidPriv(labelson) 0
     GiD_Process label off
	} else {
     set  GidPriv(labelson) 1
     GiD_Process label all
	}
    }
    
    SetLabelsOnOff
}

#[_ "Draw normals of surfaces by color"]
set {macrosdata(Draw normals surfaces color,Number)} 38
set {macrosdata(Draw normals surfaces color,Accelerators)} {}
set {macrosdata(Draw normals surfaces color,InToolbar)} 1
set {macrosdata(Draw normals surfaces color,Active)} 1
set {macrosdata(Draw normals surfaces color,PrePost)} pre
set {macrosdata(Draw normals surfaces color,Icon)} {view_normals_surface.gif imported_images}
set {macrosdata(Draw normals surfaces color,Group)} View
set {macrosdata(Draw normals surfaces color,Description)} {Draw normals of surfaces by color}
set {macrosdata(Draw normals surfaces color,CreationDate)} {2006-02-16 13:04:57}
set {macrosdata(Draw normals surfaces color,ModificationDate)} {2006-03-02 22:51:39}
set {macrosdata(Draw normals surfaces color,IsStandard)} 1

proc {Draw normals surfaces color} {} {
    proc DrawNormalsColor { } {
	    if { [GiD_Info project ViewMode] == "GEOMETRYUSE" } {
     GiD_Process Mescape Utilities DrawNormals Surfaces Color
	    } else {
     GiD_Process Mescape Utilities DrawNormals Color
	    }
	    foreach layer [GiD_Info Layers] {
     foreach {on frozen} [lrange [lindex [GiD_Info Layers $layer] 0]  0 1] break
     if { $on && !$frozen } {
		    GiD_Process Layer:$layer
     }
	    }
    }
    
    DrawNormalsColor
}

#[_ "Show number of higerentities (parents) of lines"]
set {macrosdata(Higherentities lines,Number)} 39
set {macrosdata(Higherentities lines,Accelerators)} {}
set {macrosdata(Higherentities lines,InToolbar)} 1
set {macrosdata(Higherentities lines,Active)} 1
set {macrosdata(Higherentities lines,PrePost)} pre
set {macrosdata(Higherentities lines,Icon)} {view_higherentity_lines.gif imported_images}
set {macrosdata(Higherentities lines,Group)} View
set {macrosdata(Higherentities lines,Description)} {Show number of higerentities (parents) of lines}
set {macrosdata(Higherentities lines,CreationDate)} {2006-02-16 13:23:38}
set {macrosdata(Higherentities lines,ModificationDate)} {2006-02-20 23:03:23}
set {macrosdata(Higherentities lines,IsStandard)} 1

proc {Higherentities lines} {} {
    if { [GiD_Info Project ViewMode] == "GEOMETRYUSE" } {
	GiD_Process Mescape Utilities DrawHigher Lines
    } else {
	GiD_Process Mescape Utilities DrawHigher Nodes
    }
}

#[_ "Draw assigned mesh sizes"]
set {macrosdata(Draw mesh sizes,Number)} 40
set {macrosdata(Draw mesh sizes,Accelerators)} {}
set {macrosdata(Draw mesh sizes,InToolbar)} 1
set {macrosdata(Draw mesh sizes,Active)} 1
set {macrosdata(Draw mesh sizes,PrePost)} pre
set {macrosdata(Draw mesh sizes,Icon)} {view_assigned_meshsizes.gif imported_images}
set {macrosdata(Draw mesh sizes,Group)} View
set {macrosdata(Draw mesh sizes,Description)} {Draw assigned mesh sizes}
set {macrosdata(Draw mesh sizes,CreationDate)} {2006-02-16 16:52:44}
set {macrosdata(Draw mesh sizes,ModificationDate)} {2006-02-20 23:03:26}
set {macrosdata(Draw mesh sizes,IsStandard)} 1

proc {Draw mesh sizes} {} {
    GiD_Process Mescape Meshing DrawSizes All
}

#[_ "View XY plane"]
set {macrosdata(XY View,Number)} 41
set {macrosdata(XY View,Accelerators)} {}
set {macrosdata(XY View,InToolbar)} 1
set {macrosdata(XY View,Active)} 1
set {macrosdata(XY View,PrePost)} prepost
set {macrosdata(XY View,Icon)} {view_rotate_xy.gif imported_images}
set {macrosdata(XY View,Group)} View
set {macrosdata(XY View,Description)} {View XY plane}
set {macrosdata(XY View,CreationDate)} {2006-02-16 20:33:42}
set {macrosdata(XY View,ModificationDate)} {2006-02-21 17:37:50}
set {macrosdata(XY View,IsStandard)} 1

proc {XY View} {} {
    GiD_Process Rotate Angle 270 90
}

#[_ "View XZ plane"]
set {macrosdata(XZ View,Number)} 42
set {macrosdata(XZ View,Accelerators)} {}
set {macrosdata(XZ View,InToolbar)} 0
set {macrosdata(XZ View,Active)} 1
set {macrosdata(XZ View,PrePost)} prepost
set {macrosdata(XZ View,Icon)} {view_rotate_xz.gif imported_images}
set {macrosdata(XZ View,Group)} View
set {macrosdata(XZ View,Description)} {View XZ plane}
set {macrosdata(XZ View,CreationDate)} {2006-02-16 20:36:44}
set {macrosdata(XZ View,ModificationDate)} {2006-02-21 17:37:54}
set {macrosdata(XZ View,IsStandard)} 1

proc {XZ View} {} {
    GiD_Process Rotate Angle 279 0
}

#[_ "View YZ plane"]
set {macrosdata(YZ View,Number)} 43
set {macrosdata(YZ View,Accelerators)} {}
set {macrosdata(YZ View,InToolbar)} 0
set {macrosdata(YZ View,Active)} 1
set {macrosdata(YZ View,PrePost)} prepost
set {macrosdata(YZ View,Icon)} {view_rotate_yz.gif imported_images}
set {macrosdata(YZ View,Group)} View
set {macrosdata(YZ View,Description)} {View YZ plane}
set {macrosdata(YZ View,CreationDate)} {2006-02-16 20:37:05}
set {macrosdata(YZ View,ModificationDate)} {2006-02-21 17:37:57}
set {macrosdata(YZ View,IsStandard)} 1

proc {YZ View} {} {
    GiD_Process Rotate Angle 0 0
}

#[_ "View - XY plane"]
set {macrosdata(-XY View,Number)} 44
set {macrosdata(-XY View,Accelerators)} {}
set {macrosdata(-XY View,InToolbar)} 0
set {macrosdata(-XY View,Active)} 1
set {macrosdata(-XY View,PrePost)} prepost
set {macrosdata(-XY View,Icon)} {view_rotate_-xy.gif imported_images}
set {macrosdata(-XY View,Group)} View
set {macrosdata(-XY View,Description)} {View - XY plane}
set {macrosdata(-XY View,CreationDate)} {2006-02-16 20:37:56}
set {macrosdata(-XY View,ModificationDate)} {2006-02-21 17:38:03}
set {macrosdata(-XY View,IsStandard)} 1

proc {-XY View} {} {
    GiD_Process Rotate Angle 90 -90
}

#[_ "View - YZ plane"]
set {macrosdata(-YZ View,Number)} 45
set {macrosdata(-YZ View,Accelerators)} {}
set {macrosdata(-YZ View,InToolbar)} 0
set {macrosdata(-YZ View,Active)} 1
set {macrosdata(-YZ View,PrePost)} prepost
set {macrosdata(-YZ View,Icon)} {view_rotate_-yz.gif imported_images}
set {macrosdata(-YZ View,Group)} View
set {macrosdata(-YZ View,Description)} {View - YZ plane}
set {macrosdata(-YZ View,CreationDate)} {2006-02-16 20:38:46}
set {macrosdata(-YZ View,ModificationDate)} {2006-02-21 17:38:07}
set {macrosdata(-YZ View,IsStandard)} 1

proc {-YZ View} {} {
    GiD_Process Rotate Angle 180 0
}

#[_ "Change the render mode"]
set macrosdata(SwapRender,Number) 46
set macrosdata(SwapRender,Accelerators) {F3}
set macrosdata(SwapRender,InToolbar) 1
set macrosdata(SwapRender,Active) 1
set macrosdata(SwapRender,PrePost) pre
set macrosdata(SwapRender,Icon) {view_swap_render.gif imported_images}
set macrosdata(SwapRender,Group) View
set macrosdata(SwapRender,Description) {Change the render mode}
set macrosdata(SwapRender,CreationDate) {2008-11-03 21:44:46}
set macrosdata(SwapRender,ModificationDate) {2008-11-03 22:10:46}
set macrosdata(SwapRender,IsStandard) 1

proc SwapRender {} {
    if { [GiD_Info Project RenderMode]  !=  "normal" } {
	GiD_Process Render Normal
    } else {
	GiD_Process Render FlatLighting
    }
}

#[_ "converts scalar results to a vector"]
set {macrosdata(Scalar 2 vector,Number)} 47
set {macrosdata(Scalar 2 vector,Accelerators)} {}
set {macrosdata(Scalar 2 vector,InToolbar)} 1
set {macrosdata(Scalar 2 vector,Active)} 1
set {macrosdata(Scalar 2 vector,PrePost)} post
set {macrosdata(Scalar 2 vector,Icon)} {Scalar2Vector.gif imported_images}
set {macrosdata(Scalar 2 vector,Group)} Tools
set {macrosdata(Scalar 2 vector,Description)} {converts scalar results to a vector}
set {macrosdata(Scalar 2 vector,CreationDate)} {2007-02-28 17:41:13}
set {macrosdata(Scalar 2 vector,ModificationDate)} {2009-05-08 17:37:55}
set {macrosdata(Scalar 2 vector,IsStandard)} 1

proc {Scalar 2 vector} {} {
    namespace eval ::PostUtils {
    }    
    #Fills the values of the scalars list
    proc ::PostUtils::Get_Resultados_Nodales_Escalares { } {
	set ret {}
	set all [ GiD_Info postprocess get cur_results_list "Result_Surface" ]
	foreach res $all {
	    if { [ llength [ GiD_Info postprocess get cur_components_list $res ]] == 1} {
		lappend ret $res
	    }
	}
	return $ret
    }
    #Switch between spaces and "_"
    proc ::PostUtils::QuitaSubrallados { lst} {
	set txt_lst {}
	foreach elem $lst {
	    regsub -all {_} $elem { } txt
	    lappend txt_lst $txt
	}
	return $txt_lst
    }
    proc ::PostUtils::PonSubrallados { lst} {
	set txt_lst {}
	foreach elem $lst {
	    regsub -all { } $elem {_} txt
	    lappend txt_lst $txt
	}
	return $txt_lst
    }    
    #Vector's creation code
    proc ::PostUtils::ConvierteEscalarAVector { w} {    
	::PostUtils::ActualizaListaEscalares $w all       
	set i 1        
	while { $i <= $::PostUtils::Number_vectors } {
	    set scalar_name "::PostUtils::EscalarAConvertir$i"
	    if { [subst $$scalar_name] == ""} {
		WarnWin [_ "Please, select a valid scalar result for Scalar result $i"] $w
		return
	    }            
	    incr i   
	}        
	regsub -all { } $::PostUtils::TxtNombreVector {_} ::PostUtils::NombreVector
	if { "$::PostUtils::NombreVector" == ""} {
	    WarnWin [_ "Please, enter a name for the vector result"] $w
	    return
	}        
	set analisis_actual $::PostUtils::Analisis
	set todos_los_pasos $::PostUtils::Paso
	if { $::PostUtils::TodosLosPasos} {
	    set todos_los_pasos [ GiD_Info postprocess get all_steps $::PostUtils::Analisis]
	}
	set texto_salida ""
	foreach paso_actual $todos_los_pasos {
	    set cabecera [ list Result $::PostUtils::NombreVector $analisis_actual $paso_actual "Vector" "OnNodes"]
	    set res_salida {}
	    lappend res_salida $cabecera   
	    
	    set dict_values ""
	    set all_exist 1  
	    #We fill a dictionary with the values of all the vectors for this step          
	    foreach i [list 1 2 3] { 
		if {$i > $::PostUtils::Number_vectors} break                
		set scalar_name "::PostUtils::EscalarAConvertir$i"                  
		set res_info ""         
		set err [ catch {
		        set res_info [ GiD_Result get [ list [subst $$scalar_name] $analisis_actual $paso_actual]]
		    } ]
		if { $err} { 
		    set all_exist 0
		    break
		}                
		foreach entrada [ lrange $res_info 1 end] {
		    if { ( [ llength $entrada] == 2) && ( [ scan $entrada "%d %g" idx_nodo escalar] == 2) } {   
		        foreach coordinate [list x y z] {
		            set vector_name "::PostUtils::VectorAUsar$i\($coordinate\)"
		            if {[dict exists $dict_values $idx_nodo $coordinate] == "0"} {
		                set ancient_value 0  
		            } else {
		                set ancient_value [dict get $dict_values $idx_nodo $coordinate]   
		            }
		            set new_value [expr ($escalar * [subst $$vector_name])]
		            dict set dict_values $idx_nodo $coordinate [ expr ($ancient_value + $new_value)]                            
		        }       
		    }
		}
	    }  
	    
	    #If some vector is missing for this step, we evaluate the next one
	    if {$all_exist == "1"} {
		#We convert our dictionary to the proper GiD format
		foreach nodeid [dict keys $dict_values] {
		    set input_list [list $nodeid]
		    foreach position [list x y z] {
		        lappend input_list [dict get $dict_values $nodeid $position] 
		    }
		    lappend res_salida $input_list                    
		}
		     
		eval GiD_Result create $res_salida              
	       
		#We update the output text and we delete the ancient value if needed
		append texto_salida  [_ "\nVector result '$::PostUtils::TxtNombreVector'  ( '[ ::PostUtils::QuitaSubrallados $analisis_actual]', step '$paso_actual') created   \n from"]
		set i 1
		while { $i <= $::PostUtils::Number_vectors } { 
		    set scalar_name "::PostUtils::TxtEscalarAConvertir$i"
		    
		    if {$::PostUtils::Delete_scalars == "1"} {
		        set analysis_name ""
		        regsub -all {_} $analisis_actual { } analysis_name  
		        set erasing_list [list [subst $$scalar_name] $analysis_name $paso_actual]      
		        GiD_Result delete $erasing_list
		    }                     
		    set vector_x "::PostUtils::VectorAUsar$i\(x\)"
		    set vector_y "::PostUtils::VectorAUsar$i\(y\)"
		    set vector_z "::PostUtils::VectorAUsar$i\(z\)"
		    if {$::PostUtils::Number_vectors != "1" && $i == $::PostUtils::Number_vectors} {
		        append texto_salida [_ " and"]
		    } 
		    append texto_salida [_ " scalar [subst $$scalar_name] using vector \([subst $$vector_x],[subst $$vector_y],[subst $$vector_z]\)"]                    
		    incr i   
		}
	    }
	}
	if {$::PostUtils::Delete_scalars == "1"} {
	    append texto_salida [_ "\n\nOriginal scalar results have been deleted"]
	}
	WarnWinText $texto_salida
    }
    #Fills the list of analysis
    proc ::PostUtils::ActualizaListaAnalisis { w} {
	$w configure -values [ ::PostUtils::QuitaSubrallados [lsort -dictionary [GiD_Info postprocess get all_analisis]]]
    }
    #Dependencies of the analysis selection
    proc ::PostUtils::ActualizaListaPasos { w w_local} {
	if { "$::PostUtils::TxtAnalisis" == "" } { return }
	set ::PostUtils::Analisis [ ::PostUtils::PonSubrallados [ list $::PostUtils::TxtAnalisis]]
	if { "$::PostUtils::Analisis" != ""} {
	    set all_steps [ GiD_Info postprocess get all_steps $::PostUtils::Analisis]
	    $w_local configure -values $all_steps
	    set analisis_actual [ GiD_Info postprocess get cur_analisis]
	    if { "$analisis_actual" == "$::PostUtils::Analisis"} {
		set paso_actual [ GiD_Info postprocess get cur_step $analisis_actual]
	    } else {
		set paso_actual [ lindex $all_steps 0]
	    }
	    set ::PostUtils::Paso $paso_actual
	    
	    if {$::PostUtils::Scalars_initialized == "1" } {
		::PostUtils::ActualizaListaEscalares $w all
	    }
	}
    }
    #Update the values of the scalar lists
    proc ::PostUtils::ActualizaListaEscalares { w index} {  
	if {$index == "all"} {
	    set index_list [list 1 2 3]  
	    set windows_list [list $w.f.m11 $w.f.m12 $w.f.m13] 
	} else {
	    set index_list [list $index]   
	    set windows_list [list $w]
	}    
	
	if { "$::PostUtils::Analisis" != ""} {
	    if { "$::PostUtils::Paso" != ""} {                
		set ret {}
		set all [ GiD_Info postprocess get results_list "Result_Surface"  $::PostUtils::Analisis $::PostUtils::Paso]
		foreach res $all {
		    if { [ llength [ GiD_Info postprocess get components_list "Result_Surface"  $res $::PostUtils::Analisis $::PostUtils::Paso]] == 1} {
		        lappend ret $res
		    }
		}    
		foreach window $windows_list {      
		    $window configure -values [ ::PostUtils::QuitaSubrallados $ret]   
		}             
		foreach position $index_list {
		    set var_name "::PostUtils::EscalarAConvertir$position"
		    set var_txt_name "::PostUtils::TxtEscalarAConvertir$position"
		    if { [ lsearch $ret [subst $$var_name]] == -1} {                             
		        if { [ llength $ret] != 0} {
		            set $var_name [lindex $ret 0]                  
		        } else {
		            set $var_name ""
		        }   
		        set $var_name [::PostUtils::PonSubrallados [subst $$var_txt_name]]
		        
		        if {$position == "1"} {
		            ::PostUtils::ActualizaNombreVector   
		        }
		    }   
		}         
	    }
	}
    }
    #Dependencies of the all steps check button
    proc ::PostUtils::EnableDisableLista { w} {
	if { $::PostUtils::TodosLosPasos} {
	    $w configure -state disabled
	} else {
	    $w configure -state normal
	}
    }
    
    #Define the dependencies of the dimension selector
    proc ::PostUtils::Updatedimension { w } {
	foreach i [list 3 2] {         
	    if { "$::PostUtils::Number_vectors" >= "$i"} {
		$w.f.m1$i configure -state normal
		if {"$::PostUtils::Conversion_mode" == [_ "User_defined"]} {
		    foreach j [list x y z] { $w.f.fv$i.e$j configure -state normal } 
		}                   
	    } else {
		$w.f.m1$i configure -state disabled
		foreach j [list x y z] { $w.f.fv$i.e$j configure -state disable }                  
	    }  
	}
	::PostUtils::ActualizaNombreVector 
    }                
    
    #Define the dependencies of the Conversion mode selector
    proc ::PostUtils::Updatestatevectors { w } {        
	if { "$::PostUtils::Conversion_mode" == [_ "User_defined"] } {
	    foreach i [list 1 2 3] {
		if {"$::PostUtils::Number_vectors" >= "$i"} {
		    foreach j [list x y z] {
		        $w.f.fv$i.e$j configure -state normal  
		    }
		}
	    }                
	} else {
	    ::PostUtils::Initializevectors
	    foreach i [list 1 2 3] {
		foreach j [list x y z] {                    
		    $w.f.fv$i.e$j configure -state disabled  
		}
	    }        
	}      
    }
    
    #Gives to the three vectors the main axes values
    proc ::PostUtils::Initializevectors {} {                
	set ::PostUtils::VectorAUsar1(x) 1.0
	set ::PostUtils::VectorAUsar1(y) 0.0
	set ::PostUtils::VectorAUsar1(z) 0.0
	set ::PostUtils::VectorAUsar2(x) 0.0
	set ::PostUtils::VectorAUsar2(y) 1.0
	set ::PostUtils::VectorAUsar2(z) 0.0
	set ::PostUtils::VectorAUsar3(x) 0.0
	set ::PostUtils::VectorAUsar3(y) 0.0
	set ::PostUtils::VectorAUsar3(z) 1.0        
    }
    
    #Initialize the values related with the three scalars
    proc ::PostUtils::Initializescalars {} {         
	set ::PostUtils::EscalarAConvertir1 ""
	set ::PostUtils::EscalarAConvertir2 ""
	set ::PostUtils::EscalarAConvertir3 ""
    }
    
    #We suggest a name while dealing with a single vector
    proc ::PostUtils::ActualizaNombreVector {} {
	if {$::PostUtils::Number_vectors == "1"} {
	    if { "$::PostUtils::TxtEscalarAConvertir1" == "" } { 
		set ::PostUtils::EscalarAConvertir1 ""
		set ::PostUtils::NombreVector ""
		set ::PostUtils::TxtNombreVector ""
		return
	    }
	    set ::PostUtils::EscalarAConvertir1 [ ::PostUtils::PonSubrallados [ list $::PostUtils::TxtEscalarAConvertir1]]
	    if { "$::PostUtils::EscalarAConvertir1" != ""} {
		set ::PostUtils::NombreVector ${::PostUtils::EscalarAConvertir1}_vector 
	    } else {
		set ::PostUtils::NombreVector ""
	    }
	    regsub -all {_} $::PostUtils::NombreVector { } ::PostUtils::TxtNombreVector
	}
    }

    #Build the window of the macro
    proc ::PostUtils::EscalarAVector {  { w .gid.wEscalarAVector}} {
	set ::PostUtils::Analisis ""
	set ::PostUtils::Paso ""
	set ::PostUtils::TodosLosPasos 0
	set ::PostUtils::TxtNombreVector [_ "Vector1"]
	set ::PostUtils::Number_vectors "3"
	::PostUtils::Initializescalars
	::PostUtils::Initializevectors
	set ::PostUtils::Scalars_initialized 0
	set ::PostUtils::Conversion_mode [_ "Main_axes"]
	set ::PostUtils::Delete_scalars 0
	InitWindow $w [_ "Nodal scalars 2 vector"] PostEscalarAVectorWindowGeom ::PostUtils::EscalarAVector        
	frame $w.f -bd 0        
	#Analysis
	label $w.f.la -text [_ "Analysis"]:
	ComboBox $w.f.ma -textvariable ::PostUtils::TxtAnalisis -editable 0 -width 30 -bd 1  -modifycmd "::PostUtils::ActualizaListaPasos $w $w.f.fp.mp"
	::PostUtils::ActualizaListaAnalisis $w.f.ma        
	#Step
	label $w.f.lp -text [_ "Step"]:
	frame $w.f.fp -bd 0
	ComboBox $w.f.fp.mp -textvariable ::PostUtils::Paso -editable 0 -width 8 -bd 1  -modifycmd "::PostUtils::ActualizaListaEscalares $w all"
	checkbutton $w.f.fp.cb -text [_ "all steps"] -variable ::PostUtils::TodosLosPasos  -command "::PostUtils::EnableDisableLista $w.f.fp.mp"
	grid $w.f.fp.mp $w.f.fp.cb -sticky w
	grid rowconfigure $w.f.fp 0 -weight 1
	grid columnconfigure $w.f.fp 0 -weight 1
	grid columnconfigure $w.f.fp 1 -weight 1       
	#Vector Name selection
	::PostUtils::ActualizaNombreVector
	label $w.f.l2 -text [_ "To vector result"]:
	entry $w.f.e2 -textvariable ::PostUtils::TxtNombreVector -width 30
	#Conversion mode
	label $w.f.lc1 -text [_ "Conversion mode"]:
	frame $w.f.fc -bd 0                  
	label $w.f.fc.lc2 -text [_ "Number of vectors"]:       
	ComboBox $w.f.fc.mc1 -textvariable ::PostUtils::Conversion_mode -editable 0 -width 12 -bd 1 -values [list [_ "Main_axes"] [_ "User_defined"]] -modifycmd "::PostUtils::Updatestatevectors $w"         
	ComboBox $w.f.fc.mc2 -textvariable ::PostUtils::Number_vectors -editable 0 -width 4 -bd 1 -values [list 1 2 3] -modifycmd "::PostUtils::Updatedimension $w"
	grid $w.f.fc.mc1 $w.f.fc.lc2 $w.f.fc.mc2 -sticky e
	grid rowconfigure $w.f.fc 0 -weight 1
	grid columnconfigure $w.f.fc 0 -weight 1
	grid columnconfigure $w.f.fc 1 -weight 1 
	grid columnconfigure $w.f.fc 2 -weight 1 
     
	set ::PostUtils::Analisis [ GiD_Info postprocess get cur_analisis]
	regsub -all {_} $::PostUtils::Analisis { } ::PostUtils::TxtAnalisis 
	::PostUtils::ActualizaListaPasos $w $w.f.fp.mp
	
	#We define the graphical environement for the three scalars      
	foreach index [list 1 2 3] {  
	    label [subst $w.f.l1$index] -text [_ "Scalar result $index"]:   
	    if {$index == "1"} {
		ComboBox [subst $w.f.m1$index] -textvariable "::PostUtils::TxtEscalarAConvertir$index" -editable 0 -width 30 -bd 1 -modifycmd ::PostUtils::ActualizaNombreVector
	    } else {
		ComboBox [subst $w.f.m1$index] -textvariable "::PostUtils::TxtEscalarAConvertir$index" -editable 0 -width 30 -bd 1
	    }
	    [subst $w.f.m1$index] configure -values [ ::PostUtils::Get_Resultados_Nodales_Escalares]
 
	    ::PostUtils::ActualizaListaEscalares [subst $w.f.m1$index] $index
	    
	    label [subst $w.f.l3$index] -text [_ "Using Vector $index"]:
	    frame [subst $w.f.fv$index] -bd 0
	    label [subst $w.f.fv$index.lx] -text "x:"
	    entry [subst $w.f.fv$index.ex] -textvariable "::PostUtils::VectorAUsar$index\(x\)" -width 5 -state disabled
	    label [subst $w.f.fv$index.ly] -text "y:"
	    entry [subst $w.f.fv$index.ey] -textvariable "::PostUtils::VectorAUsar$index\(y\)" -width 5 -state disabled
	    label [subst $w.f.fv$index.lz] -text "z:"
	    entry [subst $w.f.fv$index.ez] -textvariable "::PostUtils::VectorAUsar$index\(z\)" -width 5 -state disabled
	    
	    grid [subst $w.f.fv$index.lx] [subst $w.f.fv$index.ex] [subst $w.f.fv$index.ly] [subst $w.f.fv$index.ey] [subst $w.f.fv$index.lz] \
		[subst $w.f.fv$index.ez] -sticky e -padx 2 -pady 1
	    grid configure [subst $w.f.fv$index.ex] -sticky w
	    grid configure [subst $w.f.fv$index.ey] -sticky w
	    grid configure [subst $w.f.fv$index.ez] -sticky w
	    grid rowconfigure [subst $w.f.fv$index] 0 -weight 1
	    grid columnconfigure [subst $w.f.fv$index] 1 -weight 1
	    grid columnconfigure [subst $w.f.fv$index] 3 -weight 1
	    grid columnconfigure [subst $w.f.fv$index] 5 -weight 1 
	}  
	
	# Scalars deletion option  
	label $w.f.ldel -text [_ "Delete original results"]:      
	checkbutton $w.f.cbdel -variable ::PostUtils::Delete_scalars
      
	set ::PostUtils::Scalars_initialized 1
	::PostUtils::ActualizaListaEscalares $w all  
 
	# analysis
	grid $w.f.la $w.f.ma -sticky e -padx 2 -pady 1
	grid configure $w.f.ma -sticky ew
	# step
	grid $w.f.lp $w.f.fp -sticky e -padx 2 -pady 1
	grid configure $w.f.fp -sticky w
	# vector's name
	grid $w.f.l2 $w.f.e2 -sticky e -padx 2 -pady 1
	grid configure $w.f.e2 -sticky ew
	# conversion      
	grid $w.f.lc1 $w.f.fc -sticky e -padx 2 -pady 1
	grid configure $w.f.fc -sticky w        
	#We display all the vectors        
	foreach index [list 1 2 3] {        
	    # Scalar result
	    grid [subst $w.f.l1$index] [subst $w.f.m1$index] -sticky e -padx 2 -pady 1
	    grid configure [subst $w.f.m1$index] -sticky ew        
	    # Vector
	    grid [subst $w.f.l3$index] [subst $w.f.fv$index] -sticky e -padx 2 -pady 1
	    grid configure [subst $w.f.fv$index] -sticky w
	}
	# Scalars deletion
	grid $w.f.ldel $w.f.cbdel -sticky e -padx 2 -pady 1
	grid configure $w.f.cbdel -sticky w     
	
	# General displaying
	grid rowconfigure $w.f 0 -weight 2
	grid rowconfigure $w.f 1 -weight 2
	grid rowconfigure $w.f 2 -weight 2
	grid rowconfigure $w.f 2 -weight 2    
	grid rowconfigure $w.f 2 -weight 2   
	grid rowconfigure $w.f 3 -weight 2
	grid rowconfigure $w.f 3 -weight 2    
	grid rowconfigure $w.f 3 -weight 2  
	
	grid columnconfigure $w.f 0 -weight 1
	grid columnconfigure $w.f 1 -weight 1
	
	set def_back [ $w cget -background]
	frame $w.buts -bg [ CCColorActivo $def_back]
	button $w.buts.apply -text [_ "Create"] -command "::PostUtils::ConvierteEscalarAVector $w"
	button $w.buts.close -text [_ "Close"] -command "destroy $w"
	SetWidgetsWidthFromText $w.buts.apply $w.buts.close
	
	grid $w.buts.apply $w.buts.close -sticky ew -padx 5 -pady 6
	# Upper part
	grid $w.f -sticky nsew
	# Lower part
	grid $w.buts -sticky sew
	if { $::tcl_version >= 8.5 } { grid anchor $w.buts center }
	grid columnconfigure $w 0 -weight 1
	grid rowconfigure $w 0 -weight 1
	
	bind $w <Escape> "tkButtonInvoke $w.buts.close"
    }    
    
    ::PostUtils::EscalarAVector
}

#[_ "View - XZ plane"]
set {macrosdata(-XZ View,Number)} 48
set {macrosdata(-XZ View,Accelerators)} {}
set {macrosdata(-XZ View,InToolbar)} 0
set {macrosdata(-XZ View,Active)} 1
set {macrosdata(-XZ View,PrePost)} prepost
set {macrosdata(-XZ View,Icon)} {view_rotate_-xz.gif imported_images}
set {macrosdata(-XZ View,Group)} View
set {macrosdata(-XZ View,Description)} {View - XZ plane}
set {macrosdata(-XZ View,CreationDate)} {2006-02-16 20:38:30}
set {macrosdata(-XZ View,ModificationDate)} {2006-02-21 17:38:17}
set {macrosdata(-XZ View,IsStandard)} 1

proc {-XZ View} {} {
    GiD_Process Rotate Angle 90 0
}

#[_ "Pan dynamic \n    Useful to assign one keyboard accelerator"]
set {macrosdata(Pan dynamic,Number)} 49
set {macrosdata(Pan dynamic,Accelerators)} F10
set {macrosdata(Pan dynamic,InToolbar)} 0
set {macrosdata(Pan dynamic,Active)} 1
set {macrosdata(Pan dynamic,PrePost)} prepost
set {macrosdata(Pan dynamic,Icon)} {}
set {macrosdata(Pan dynamic,Group)} View
set {macrosdata(Pan dynamic,Description)} {Pan dynamic 
    Useful to assign one keyboard accelerator}
set {macrosdata(Pan dynamic,CreationDate)} {2006-03-01 12:27:08}
set {macrosdata(Pan dynamic,ModificationDate)} {2006-03-01 12:33:53}
set {macrosdata(Pan dynamic,IsStandard)} 1

proc {Pan dynamic} {} {
    GiD_Process DynamicPan
}

#[_ "Previous view\n    Useful to assign one keyboard accelerator"]
set {macrosdata(Previous view,Number)} 50
set {macrosdata(Previous view,Accelerators)} F9
set {macrosdata(Previous view,InToolbar)} 0
set {macrosdata(Previous view,Active)} 1
set {macrosdata(Previous view,PrePost)} prepost
set {macrosdata(Previous view,Icon)} {}
set {macrosdata(Previous view,Group)} View
set {macrosdata(Previous view,Description)} {Previous view
    Useful to assign one keyboard accelerator}
set {macrosdata(Previous view,CreationDate)} {2006-03-01 12:30:27}
set {macrosdata(Previous view,ModificationDate)} {2006-03-01 12:34:11}
set {macrosdata(Previous view,IsStandard)} 1

proc {Previous view} {} {
    GiD_Process zoom previous
}

#[_ "Zoom dynamic\n    Useful to assign one keyboard accelerator"]
set {macrosdata(Zoom dynamic,Number)} 51
set {macrosdata(Zoom dynamic,Accelerators)} F8
set {macrosdata(Zoom dynamic,InToolbar)} 0
set {macrosdata(Zoom dynamic,Active)} 1
set {macrosdata(Zoom dynamic,PrePost)} prepost
set {macrosdata(Zoom dynamic,Icon)} {}
set {macrosdata(Zoom dynamic,Group)} View
set {macrosdata(Zoom dynamic,Description)} {Zoom dynamic
    Useful to assign one keyboard accelerator}
set {macrosdata(Zoom dynamic,CreationDate)} {2006-03-01 12:35:26}
set {macrosdata(Zoom dynamic,ModificationDate)} {2006-03-01 12:39:22}
set {macrosdata(Zoom dynamic,IsStandard)} 1

proc {Zoom dynamic} {} {
    GiD_Process Zoom Dynamic
}

#[_ "Rotate trackball\n    Useful to assign one keyboard accelerator"]
set {macrosdata(Rotate trackball,Number)} 52
set {macrosdata(Rotate trackball,Accelerators)} F7
set {macrosdata(Rotate trackball,InToolbar)} 0
set {macrosdata(Rotate trackball,Active)} 1
set {macrosdata(Rotate trackball,PrePost)} prepost
set {macrosdata(Rotate trackball,Icon)} {}
set {macrosdata(Rotate trackball,Group)} View
set {macrosdata(Rotate trackball,Description)} {Rotate trackball
    Useful to assign one keyboard accelerator}
set {macrosdata(Rotate trackball,CreationDate)} {2006-03-01 12:32:22}
set {macrosdata(Rotate trackball,ModificationDate)} {2006-03-01 12:34:26}
set {macrosdata(Rotate trackball,IsStandard)} 1

proc {Rotate trackball} {} {
    GiD_Process rotate Trackball
}

#[_ "Rotate center\n    Useful to assign one keyboard accelerator"]
set {macrosdata(Rotate center,Number)} 53
set {macrosdata(Rotate center,Accelerators)} F6
set {macrosdata(Rotate center,InToolbar)} 0
set {macrosdata(Rotate center,Active)} 1
set {macrosdata(Rotate center,PrePost)} prepost
set {macrosdata(Rotate center,Icon)} {}
set {macrosdata(Rotate center,Group)} View
set {macrosdata(Rotate center,Description)} {Rotate center
    Useful to assign one keyboard accelerator}
set {macrosdata(Rotate center,CreationDate)} {2004-11-18 21:53:33}
set {macrosdata(Rotate center,ModificationDate)} {2006-03-01 12:35:02}
set {macrosdata(Rotate center,IsStandard)} 1

proc {Rotate center} {} {
    GiD_Process rotate Center FJoin
}

#[_ "Zoom all\n    Useful to assign one keyboard accelerator"]
set {macrosdata(Zoom frame,Number)} 54
set {macrosdata(Zoom frame,Accelerators)} F11
set {macrosdata(Zoom frame,InToolbar)} 0
set {macrosdata(Zoom frame,Active)} 1
set {macrosdata(Zoom frame,PrePost)} prepost
set {macrosdata(Zoom frame,Icon)} {}
set {macrosdata(Zoom frame,Group)} View
set {macrosdata(Zoom frame,Description)} {Zoom all
    Useful to assign one keyboard accelerator}
set {macrosdata(Zoom frame,CreationDate)} {2006-03-01 12:46:29}
set {macrosdata(Zoom frame,ModificationDate)} {2006-03-01 12:47:33}
set {macrosdata(Zoom frame,IsStandard)} 1

proc {Zoom frame} {} {
    GiD_Process Zoom Frame
}

#[_ "Redraw\n    Useful to assign one keyboard accelerator"]
set macrosdata(Redraw,Number) 55
set macrosdata(Redraw,Accelerators) Ctrl-less
set macrosdata(Redraw,InToolbar) 0
set macrosdata(Redraw,Active) 1
set macrosdata(Redraw,PrePost) prepost
set macrosdata(Redraw,Icon) {}
set macrosdata(Redraw,Group) View
set macrosdata(Redraw,Description) {Redraw
    Useful to assign one keyboard accelerator}
set macrosdata(Redraw,CreationDate) {2006-03-01 12:41:13}
set macrosdata(Redraw,ModificationDate) {2006-03-01 12:42:09}
set macrosdata(Redraw,IsStandard) 1

proc Redraw {} {
    GiD_Redraw
}



set ::icon_chooser::ImportedDates(dimension_edit.gif) {2004-11-20 02:22:23}

image create photo ::icon_chooser::images::dimension_edit.gif -data {
R0lGODlhFgAWAJEAANnZ2QAAAAAA/////yH5BAEAAAAALAAAAAAWABYAAAJZhI+py+3PSPwg
+JiRmQkkhI+poYqUAMDMguCYmRlQCB9TQ1WPhPAxNVT1SPwg+BiIaBTCj7s7oxB+3N0ZhbAj
4u6OYgCABclHiwggABFB8NEiguBj6nL7G1IAOw==
}

set ::icon_chooser::ImportedDates(send_to_back_opposite.gif) {2004-11-20 17:54:18}

image create photo ::icon_chooser::images::send_to_back_opposite.gif -data {
R0lGODlhFgAWAOYAANnZ2QgwUggAAHOWtRhhjAAIGBAwUoSuxt7v9xCmxhhhhAAQGHuetf//
/73f5yHP3himxhBhjAgIIRAwWtbv93PP5xjH3jnX3iG2zhBhhAgQGN7v73PX5yG2xgiexkrf
7wAIIWuevef3763P3lrH3hCWtRi2zhi+zjnX5xh5pQgIECFJY0phjClhhBhxlCGuzhCevRCW
vRC21hiOtRBxlBBRcxA4WhA4UhBBYwg4WjmexjG2zhCexgiWvSnH1hCOtQhBWgAACAAAAJzP
55Tf5zGuzkLX3hhplAAQITlRa+f3/87v93vH3iFBY87n75zX50LX1hBplAgQIV8GBmO21hC+
1ilRcyFhjAhBYwgIGAAYIf//////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
/////////////////////////yH5BAEAAAAALAAAAAAWABYAAAfRgACCg4SFhoeIiYqLigEC
jIcBAwQFjIUGBwgJCguMgwYMDQ4PEBESjAATDA0UFRYXGBkaiwEMDRscHR4WHxAKIIkBISIj
JBAeJSYnKCkZKocGKywtLi8wMTEyMzQKNTYFhQE3ODY5Njo7PD0+PzgBNkA2QYlCQ0RFMEZH
SIyCSYBKS0w/RgRIgACCg4SETQ1OTzNQUVKFhIBTgoOEhYOAAIKDgwFLVDoxVQpIhISEggFW
VwoZClhZhISEgkIaGgsaWhJCgACCg4SFhoeIiYqLh4EAOw==
}

set ::icon_chooser::ImportedDates(intersect_surfaces.gif) {2004-11-20 18:25:41}

image create photo ::icon_chooser::images::intersect_surfaces.gif -data {
R0lGODlhGAAYAJEAANnZ2QAAAAAA//8A/yH5BAEAAAAALAAAAAAYABgAAALWTAjfIgLxKCF8
iwgREuGbjAgaxQAQEYItMyNCMARoPogAAGmAGZI9ABBB2UAABGgAzIwMyYoIgCEIIEPwZWYG
KAbAgABphC1zMEAi7DGZA9IIe0DOhgINRMQQfBixGZICMhBB0WYAAGjQiAAEQZCIGCFJMxEh
JMKOiJkz2iQRIQQ/ImTugGyJEIIfESNCAwBGBGgQwTeZGSENIwAANBE+RIQISYkYACAMQvAj
4iAowQzAAInwI+IgKJHAwACJ8DFPZGgQwcdMkaCE8DE1Igg+pkYEwcfULQA7
}

set ::icon_chooser::ImportedDates(element.gif) {2005-11-22 22:41:34}

image create photo ::icon_chooser::images::element.gif -data {
R0lGODlhGAAYAJEAANnZ2ViQKP///////yH5BAEAAAAALAAAAAAYABgAAAKThI+pe0HwMRUi
KISPmQFBCOFjWoRREIKPCYFBQAg+YmQchfDxIuIoAEAQfLSwCEIAABEEHyEwgpAERBB8DIQI
ghEQd0cBAAICCEAABMG3sIijABAAEAQfAgKBAgTBjruIOyBBCH6cUXwAACP4EIhG8TEAIAg+
ZiDFJviYkRAEH9MCg+BjXlwQfMwMCIKPqRC7uwwpADs=
}

set ::icon_chooser::ImportedDates(note.gif) {2006-01-20 17:23:33}

image create photo ::icon_chooser::images::note.gif -data {
R0lGODlhFAAUAKIAANnZ2QAAAICAgACAgAD//8DAwP///////yH5BAEAAAAALAAAAAAUABQA
AAOCCLrc/jACFLqLoMshOCMqgxEIuhpIuhuFgaALQzi6NIEVCLpBhKNKFFgVCLqDpKsTWBUI
qoGku1FYFQiqg6SrE1gaAIAQSLobhVUVAAgwSLo6gVVQAQgAGLqMpRoIuhpYuhwIuhpYugWA
FQi6Gli6HAi6Gli6K4Gguxi6jKDL7Q8hSgA7
}

set ::icon_chooser::ImportedDates(user_open.gif) {2006-02-13 21:48:40}

image create photo ::icon_chooser::images::user_open.gif -data {
R0lGODlhGAAYAPcAANnZ2fr28cCfWq19E7KDHLaKIL6XPvHo2MytbKRxAsWNLcKLJ7J+AMyZ
AMSZNrB/Jvy/cv/PiP/QidOaRrqHALOAAfr38cuSMf/RjP/Wlv/TkfzDeaZwCqVxAvv58//N
if/Mg//Sjv/Qiv/Ge/+5ZNKsav/Zqv/AcP/Fev/Dd/++bv+vUv/47v/69P2jTf+3X/+3Yf+1
VO2ZX/rz8/DS0sVNN6ouINW0hturcrBxWbUkCbcuGNKJiP/+/vfs7MxSKv+mNr8/HJFufZBY
Y7YtENVWG8lIF7szEchtbMyDg/iOMPiOL/WHK+BjG+BiHNthHs9QGcVDFb44Eq8gCui/v8Vb
SPGEK+1/Kup5KORxJdtmINVZHMtLGMRAFLozELUoDb5aWJiYmKWmpWhpa8BHKOVyJeNvJOBs
I91lINdcHdBSGsdFFsA6EhcGAxYFAZdIQ2xsbDY3ONPU0uPk4/b39nl9eru6tbWun7avolRS
TspeVrkvEOBqItpiINJTHMxKGcVAFLw0EV0tJ8PIwf///cLHwqWrqJeZlFtZUmxjUKKOaLij
e+vSoPTYpX97cua9vclwa79NPLc3IbQsFrMuGrY6Lr5XUYRmZtjd1m1qYFtTQo19X9K6jNS8
j+HKmtvDldW/kePJmnhya1FSUvn5+Z+lo3BhRvLXpN3FltfAk9a/ktW+kdO6juHFl3hza+jo
5660sXBiSeXMnNbAktS7j9O6j+DClbGysXFjStW8kNS6j9S4ju/QoH13byQkJZOYl3FlS9jB
k9/Gl9q+ktG3jOvi1IiBeERCQDIyNMLDw3VoTujQn+jOndq/k9vTxMzDtT49Oj48OiAgIMS7
rvTt366mmJmRhllVUWZhW///////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
/////////////////////////////////yH5BAEAAAAALAAAAAAYABgAAAj/AAEIHEiwoMGD
CBMqXKgwgIABBAoYOMCwIIIEChYwaOCAYcEHECJImEChggWGBC9gyKBhA4cOHhgS/AAihIgR
JEowLGjiBIoUKlawYFiwhYsXMGLImMGQII0aNm7gyKFjB48eDAH4+AEkiJAhRIoYOYKEIYAk
SpYwaeLkCZQoUqZQYVjFyhUsWbRs4dLFyxcwBMOIGVOQTBkzZ9CkUbOGTRs3b+DEkTOHTh07
d/DkEahnD58+afz8ARRI0CBChQwdQpRI0SJGjRwNfAQpkqRJlCpZugQAUyZNmzh18vQJVChR
C0eRKmXqFKpUqVStYtXKFcNXsGLJUqVK1SxatWy5Q2J4qxQuWapUqcqlaxevXgx9/QImS1Uw
YcOIFTN2jCEygMmULWPWzNkzaNEAAhA4kGBBadOoVbMmrWDBggSvYSs4MCAAOw==
}

set ::icon_chooser::ImportedDates(user_save.gif) {2006-02-13 21:48:47}

image create photo ::icon_chooser::images::user_save.gif -data {
R0lGODlhGAAYAPcAANnZ2fr28cCfWq19E7KDHLaKIL6XPvHo2MytbKRxAsWNLcKLJ7J+AMyZ
AMSZNrB/Jvy/cv/PiP/QidOaRrqHALOAAfr38cuSMf/RjP/Wlv/TkfzDeaZwCqVxAvv58//N
if/Mg//Sjv/Qiv/Ge/+5ZNKsav/Zqv/AcP/Fev/Dd/++bv+vUv/47v/69P2jTf+3X/+3Yf+1
VO2ZX/rz8/DS0sVNN6ouINW0hturcrBxWbUkCbcuGNKJiP/+/vfs7MxSKv+mNr8/HJFufZBY
Y7YtENVWG8lIF7szEchtbMyDg/iOMPiOL/WHK+BjG+BiHNthHs9QGcVDFb44Eq8gCui/vzpA
Q0VKTcVbSPGEK+1/Kup5KORxJdtmINVZHMtLGMRAFLozELUoDb5aWCAgIbG3ue7x8snU1yAg
IMBHKOVyJeNvJOBsI91lINdcHdBSGsdFFsA6ErgvDrEkC6olH1VYWZqhovf5+eXr7KjAxmly
dcpeVrkvEOBqItpiINJTHMxKGcVAFLw0EagXBx4JCYNVWPDz9Ojz9Pj39/n7+vj5+PH29b7I
yygpKua9vclwa79NPLc3IbQsFrMuGrY6Lr5XUV1OUePR0uvw7/v8+/n6+ff49/b49////cTW
21xnayUnKsbP0fj9/Pf59/39+/z8++Hn6Y+uuLbFyiEgIlxkZrjKzv///vv7+Nvm6JuzulNz
fVZwdnGTnHqDhsTNz+bt7dng4ZOvt26NlZyxtquxsWOCi2eFjbPBxjM1N2Vqbdvn6nGTn6C0
uMvR0e3u7ODk5JGmq3GXoZGbnTo9PrrFyHygq8fR0ml5fbzLz+Tp6d/m53F9gTY4OV5lZsLR
1pCwt9Le4OHm57S8v2JqbE9UV1JbXoCDhUBFSP//////////////////////////////////
////////////////////////////////////////////////////////////////////////
/////////////////////////////////yH5BAEAAAAALAAAAAAYABgAAAj/AAEIHEiwoMGD
CBMqXKgwgIABBAoYOMCwIIIEChYwaOCAYcEHECJImEChggWGBC9gyKBhA4cOHhgS/AAihIgR
JEowLGjiBIoUKlawYFiwhYsXMGLImMGQII0aNm7gyKFjB48eDAH4+AEkiJAhRIoYOYKEIYAk
SpYwaeLkCZQoUqZQIVjFisErWLJo2cKli5cvYMKIETiGTBkzZwqiSaNmDZs2bt7AiSNnDp06
du4AwJOnoJ49fPq08fMHUCBBgwgVMnQIUSJFixgVbOToEaRIkiZRqmTpEqZMmjZt4tTJE0MA
n0CFErVJ0yhSpUydQsUQQCpVqxCxauXqFaxYshgCRDgzi1YtW7dw5dK1i1cvhgB8/QIWTNgw
YsWMHUPGUGAygMqWMWvm7Bm0aAABCBxIsKC0adSqWbuGrWDBggOzadvGrWBAADs=
}

set ::icon_chooser::ImportedDates(intersect_lines_nodivide.gif) {2006-02-14 17:10:37}

image create photo ::icon_chooser::images::intersect_lines_nodivide.gif -data {
R0lGODlhGAAWAJEAANnZ2QAAAAAA//8AACH5BAEAAAAALAAAAAAYABYAAAJwhI+py90UEz6m
RgTBx9SIIPgXEYhGInwQkQgK4aMgiBCcCDMzAyJAhOBjooAQfEydGYKPqTND8DF1Zgg+ZooJ
wcdEOSH4mCgoBD8i7o5E2HIWEQTfBE0QKCb8iLgDEgBC8C8iEEkmfIwIgo+py+1PCgA7
}

set ::icon_chooser::ImportedDates(intersect_lines.gif1) {2006-02-14 17:11:15}

image create photo ::icon_chooser::images::intersect_lines.gif1 -data {
R0lGODlhGAAWAKIAANnZ2QAAAAAA/wCZ/////////////////yH5BAEAAAAALAAAAAAYABYA
AAOfCLrc/jBKhUIRdLkdQxFUIwJBlzcwAkE1IhB0mQVBNyIQdGEGBwBAEFRFdhUaABhAABAY
FBkE3Z3FAQAQHJGZQdBdHF1QQdDlZhwlQdDlxlGFFQRd3kHQUQEcXQTdncUBAQAcHQRdhsEZ
AAEEAEHQ5V4UBFXZ3bUAEgRd2d2lUCiCLkRgIOgyBEYg6EIEBoIuQ2AEgi5EYCDocvvDCFEC
ADs=
}

set ::icon_chooser::ImportedDates(dimension_dist.gif) {2006-02-14 17:24:28}

image create photo ::icon_chooser::images::dimension_dist.gif -data {
R0lGODlhGAAYAKIAANnZ2QAAAKq/qsDcwAAA/////////////yH5BAEAAAAALAAAAAAYABgA
AANqCLrc/jDKSau9WKIAiUDQ5QgUCABAwNDlbgSFAMEIBF2OQIFA0OX2R4Ogy704CLrc/mgQ
dLkXB0GX2x8Ngi734iDocvujQdDlXhwAiMBA0OUGDAXQQNLlJgwF0EDQ5QYMRdDl9odRTlod
SgA7
}

set ::icon_chooser::ImportedDates(dimension_delete.gif1) {2006-02-14 17:28:48}

image create photo ::icon_chooser::images::dimension_delete.gif1 -data {
R0lGODlhGAAYANUAANnZ2f/j6f+svf/s8P/o7f8TQv/H0v+Qpv8cSf/a4f+5x/8XRf+wwP/f
5f+1xP/R2v/V3QAAALy8vFgAEt8ALf8qVV0AE+MALSAABgkAAscAKHQAF/+esf/6+/9Kbv9r
if8lUf9dfcDAwP+Lov90kP84YP/2+P+Cm/8OPv8gTf9Ga/9Tdf9PcgUA+7UAbqIAfQAA//9B
Z/9hgf/Dz/9vjP/x9P+nuf///////////////////////////////////yH5BAEAAAAALAAA
AAAYABgAAAb/QIBwSCwai4HjcSgYDAkFw/EIOCASRMXCcDQyCg2jY/E4Eg0FwxHAWECOwsbC
cYwAJBMK5DioWIARCSACAAAAkUgkYrlggBGhMKPZDIUAAAAQAUiEHEQAAAB0PB+AUAKIAAHC
IfEACghDng6RKBQRhaPKgFQyEYUiIpF4KlQGRCJRRBwyUKUBcSgiEocGBIRUMhGJQxERAAEi
DADAp2QCAoRC0XA4DKQcQ0BIZRoOh6LhoMIZDkOezlA0jEQiAFOJNBwCOitWBxCJRISRSKTl
egFhwuGw5Xq1IpEIABCJRD6eDhAgHBI7nlAkEiGOSiYikWiKyYiAWWVAJBKFphKNDwgYEIlE
Ys1GJBKJRKIwCAA7
}

set ::icon_chooser::ImportedDates(dimension_angle.gif) {2006-02-14 17:36:43}

image create photo ::icon_chooser::images::dimension_angle.gif -data {
R0lGODlhGAAYAJEAANnZ2QAAAAAA/8DAwCH5BAEAAAAALAAAAAAYABgAAAJmhI+py+0PGYkJ
H1MjguBjakQQfMwUVUUiwsdUiCH4mCoTlBA+5okFhfAxTy4IIXxMEAUK4SNKXhB8PEkbikfw
URAhKCF8iwjEowAAEQGEJEg+SmAEBYgIgo8JEUHwMXW5/WGUE5ACADs=
}

set ::icon_chooser::ImportedDates(dimension_vertex.gif) {2006-02-14 17:52:36}

image create photo ::icon_chooser::images::dimension_vertex.gif -data {
R0lGODlhGAAYANUAANnZ2fv7+/Pz8/7+/vz8/Pf39/b29vj4+Pr6+v39/fHx8fX19crKyqmp
qcjIyNjY2NTU1NPT07i4uLu7u7S0tKGhodbW1t7e3pqamuXl5ebm5rOzs6enp7+/v8fHx+Tk
5MDAwOPj48XFxaqqquHh4c/Pz9ra2tfX18PDw+np6cLCwuzs7Nzc3Pn5+fLy8gAAAL6+vv//
/////////////////////////////////////////////////////////yH5BAEAAAAALAAA
AAAYABgAAAbAQIBwSCwaj8ikcpkMCAYAQsFwKAAMCEBCMTgsFkVGw/GARCQTyqFiAVwwGc2G
0yE6PB8G6AIJiYChkYVUMp0MqMsJAAAAFgQAIGQipVIDVWgVYBkCCg0QIBwOB4Fh6+N6EYlE
IlH4IhKJRKLwRSQSiUThi0gkEonCF5FIJBJfsBeRSCQSAa8XjEgkEokA4EsIBAiHxGLx9TIa
jcSX0WgkvoxGo/D1ehmNxuHr9TIajcPX6wUECIfEovGITCqXTGYQADs=
}

set ::icon_chooser::ImportedDates(dimension_arc.gif1) {2006-02-14 21:09:42}

image create photo ::icon_chooser::images::dimension_arc.gif1 -data {
R0lGODlhGAAYANUAANnZ2fv7+/Pz8/7+/vz8/Pb29vf39/n5+f39/fHx8fT09PX19cnJyaen
p8fHx9fX19PT09LS0ra2trm5ubOzs6CgoNXV1d3d3ZmZmeTk5OXl5bGxsaampsXFxb+/v+Li
4sPDw+Pj46mpqeHh4c3NzdnZ2cLCwuDg4Onp6cHBwevr69vb2/r6+ubm5gAAAAAA////////
/////////////////////////////////////////////////////////yH5BAEAAAAALAAA
AAAYABgAAAbrQIBwSCwaj4CAYAAgFAoGA6BwACASA4NiUWQ0HA9IRDKhGCoWwAWT0Ww4RUcn
w/BcIh9QSGQZkYAlS8F0AQKEwgVB+CmdUChE6qMKrAqsRGsodLlcgEFgKHQNh8Ohy+UaDofD
4VD4crlcw6HQNRwOAa/hcDgcGhoSAnoBAcIhUegqEl/FYrEofBWLQ5erOHwViwCXq1h8FYUu
gMtVLApfRYDL5SoWia+i0FUsFl/FYrE4BL6AAOGQSHS5XEXhq1gculyuovBVLA5dLldx+CoW
ha9iEfAqFl/F4vD1ehFfr1exWBS+Xq9XsSgMAgA7
}

set ::icon_chooser::ImportedDates(surface_hole.gif) {2006-02-14 21:58:58}

image create photo ::icon_chooser::images::surface_hole.gif -data {
R0lGODlhGAAYAKIAANnZ2QAAAAAA9wD/AP///wAA/////////yH5BAEAAAAALAAAAAAYABgA
AAPCCLrc/hCiUARdVhTdjcBA0FUUVRxdjcBAUBURFBzdEUGRGQEEABHB0R0RFCIiwREACIzA
0RVB0pUZFACIwMBRFSRdEsEZAQAMFZlBESRdksEZQdBVERwRQVKVGRQEXYbCGREiJJkZQdBl
FZwRIUKZGUHQ5RUcFRIdJAi6zIWjoioIutyCozuCoMstOLojCLrcgqOrgqDLLDi6Kgi63IKj
GxEIusyFg6IaEQi6vIERCKoRgaDLGxiBoMvtGIqgy+3fUAIAOw==
}

set ::icon_chooser::ImportedDates(surface_trim.gif) {2006-02-14 21:59:19}

image create photo ::icon_chooser::images::surface_trim.gif -data {
R0lGODlhGAAYAKIAANnZ2QAAAAAA9////wD/AAAA/////////yH5BAEAAAAALAAAAAAYABgA
AAPCCLrc/hCiUARdVhTdjcBA0FUUVRxdjcBAUBURFBzdEUGRGQEEABHB0R0RFCIiwREACIzA
0RVB0pUZFACIwMBRFSRdEsEZAQAMFZlBESRdksEZQdBVESQRQVKVGRQEXYbCGREiJJkZQdBl
FZwRIUKZGUHQ5RUcFRIdJAi6zIWjoioIutyCozuCoMstOLojCLrcgqOrgqDLLDi6Kgi63IKj
GxEIusyFg6IaEQi6vIERCKoRgaDLGxiBoMvtGIqgy+3fUAIAOw==
}

set ::icon_chooser::ImportedDates(surface_parallel_lines.gif1) {2006-02-14 22:02:50}

image create photo ::icon_chooser::images::surface_parallel_lines.gif1 -data {
R0lGODlhGAAYAJEAANnZ2QAA/wD/AMDAwCH5BAEAAAAALAAAAAAYABgAAAKEhI+py+0Po5yM
xCf4mBBB8ofgIwbJvyH4aEHyKX4Q/AuSHXE3Q/AhSHbcWQSF8ENEJEh+RNgMwQgRkSD5cScD
BGREJIQkRZB8iQgAAiYhIkKh/Igg+DYhIqRQdhB8tBARCmUHwUecCZIdBB/TQoSkEHxMHBEK
4WPqSBB8TIXY3bXWWogUADs=
}

set ::icon_chooser::ImportedDates(point_move.gif) {2006-02-14 22:13:49}

image create photo ::icon_chooser::images::point_move.gif -data {
R0lGODlhGAAYAKIAANnZ2QAAALy8vMDAwAAA/////////////yH5BAEAAAAALAAAAAAYABgA
AAOUCLrc/jDKSSMKDQRdbl8UgqDLHBgBAIChCLrMgREIqhG7awE0EYGgy704AzAIuhGBoKsz
CDqqgEQRAQgAEYECADBIugCBEQAAGIqki6BLtAtQKILqrCIh6HIDDoIq7e5aCg0AECHocisO
ABCCLjfjABCCLjfjABCCLnfjECHoci+GEoIud2Mogi63YyiCLrc/jFKiBAA7
}

set ::icon_chooser::ImportedDates(line_divide_nparts.gif) {2006-02-14 22:22:46}

image create photo ::icon_chooser::images::line_divide_nparts.gif -data {
R0lGODlhGAAYAJEAANnZ2QAAAAAA/////yH5BAEAAAAALAAAAAAYABgAAAJyhI+py+0PE4kJ
HxNFghIJwccUsaAEIAQfTzKF4CNIphB8NMkLSggfIwKRYsLHiECkmPAxIhBJhI8neULwESVN
CD6mJAjBxwRRIfiYIBqUED5eRCTFhI8XEUkx4eNFRB7JjgiCj6kRQfAxNSIIPqYud1IBADs=
}

set ::icon_chooser::ImportedDates(line_divide_nearpoint.gif) {2006-02-14 22:33:18}

image create photo ::icon_chooser::images::line_divide_nearpoint.gif -data {
R0lGODlhGAAYAKIAANnZ2by8vP8AAAAAAAAA/////////////yH5BAEAAAAALAAAAAAYABgA
AAOpCLrc/iggAARFICAQdFkDIQBEUCAgEHR5AyFARDAgEHSZAyECZnAgEHS5AwFiaDCIEHSZ
A4NgZjAACEGXlxAiIhBUaXcVIgRdJmaGCEGXiZkhQtBdYmYAEYLuEjNDhKC7xMwAIgRdJWam
ECHoAjGzhQhBl3Z3LYAIQZd2dy2ACEGXdnctNIqgS7u7FBpF0CXaXQugUQRdRVKdGQRdbsdR
BF1ux1EEXW5vlAA7
}

set ::icon_chooser::ImportedDates(collapse_lines.gif) {2006-02-14 23:39:25}

image create photo ::icon_chooser::images::collapse_lines.gif -data {
R0lGODlhGAAYANUAANnZ2QAAAP//AP7+/vz8/M3NzRAQEHd3d8jIyHBwaNLS0iYmJh4eJgUF
f6ur/vX1/zg4/wAA97Gx/e/v/z09+bCw/fn5/zQ0+bOz/e7u/zo6+QAA+LW1/fj4/zIy+ba2
/fDw/jg4+be3/fHx/zEx+bm5/fDw/7+//u3t/7i4/ygo+gAAwqamrq6urvX19enp/zMzRNzc
3ElJRNvb26ysrIWFhe/v7////////////////////////////////////yH5BAEAAAAALAAA
AAAYABgAAAb/QIBwSCwaj8hkMRBQAgLKgCAQQAYCSkBgQCAMigFBQAkIFAyGQzEgCCiFiEAg
EQgIA4KAMRAIEIGKBaPhEAQAAUEAAAAEAgFBAAgQDgMPSEQiCAgEAUAgIBAIAsMhICCYUCIV
gUAQCAgEgkBgOBwGBJZLBAMUCIcBIEA4JAoDgoxmwxEIBIJAsSgMCASCjmfzEQgCxeIwIBAI
BKBQRBQoFocBoEA4HJEipQAQIBwShQGBIBAQCAQm0uYUKBYDAkEAEBAIBAHUJZIKFIkBQWAY
EASEINWK1XIVAQFBgBgQBIYvICwQiAEBwmEgMBQGBIEhQBYIzAJDQCAwHAYCQyGtG1azAQLD
wHAoDAyHwyEgMBwOA0CAcEgsGo/IIAA7
}

set ::icon_chooser::ImportedDates(collapse_alltypes.gif) {2006-02-14 23:43:22}

image create photo ::icon_chooser::images::collapse_alltypes.gif -data {
R0lGODlhGAAYAOYAANnZ2QAAAP//AJeX/Kur/H5+/M7O/vDw8I6OjuDg4Le3/VRU+rS0/d7e
3rm5uaOj/Ovr/v7+/vn5+f39/Xt7+1dX+tnZ/ubm/2dn+97e/u/v//b2//3Q/fhJ9vhP9v/H
///5/+Hh/39/9oSE9oB/9mJi+u3t/vk+9+vk3+3e4fJh7fpw+P6h/+Dg/52c8PLt3vPv36Kg
611c9OPj/v2d/fCc6O3u4O3q4ez/3+6/4/Jq7P+m/uz+/l9e+Xp48YaE8Ht68dLP5ZiW7dzc
///r//oz+u995+383+3o4e354O3H4vx6+NnW/4mJ7e3p4ejk4e7q4ZCO7t3d///n//yV/P1/
/PGV6Oz24O3z4O3t4O7P4vsi9Nin/5GX7vr23/j034aF8Ovn4YyK7v10/e6p5e614/pf+v/g
/9jX/5eV7P//3YuK75eU7Lu6/Pz8//2F/fQ28Pxw/N7f/mRj8pya65uZ67Ky/v7r/v7F/9fY
/9HS/9HR/9zc/v///////////yH5BAEAAAAALAAAAAAYABgAAAf/gACCg4SFhoeIiYUBAYoA
AYoBAgEBhQOCAQGKAAECAgGEBAUGAgGKAAEHCAkBhAoLDAGKgg0BDgIBAYIBAgUPEIQBAQGE
ERITAgICAQABAgEUFRYBAQECAYYBgAKCggGCAQAXGBmCAYAAgoMAAYACgoOCAQECGhsBAYAA
goODAYACgoOEAgGAAIKDgxwdHh8gAgICAiEiIyQlJoSEACcoKSorLAICLS4vMDEyM4SENDU2
Nzg5Ojs8PT4/QEFCQ4SDREVGR0hISUpLTE1OT0BQUVKEg1NUVVZXWFlaW1xdXl9gYWJShIQA
AWNkZWZnAmhpamprbG1uhIQAAW9wcYIBTnJzdHUydoABAgGAAIKDAAECd3iDAQJ5ent8ggEB
AYSCAQGEAAECAYSDAQGEAQGEggEBhISCAYMBhIQBhISEAAGEhAABhISEhISEhISEgQA7
}

set ::icon_chooser::ImportedDates(surface_divide_nparts.gif) {2006-02-15 23:20:46}

image create photo ::icon_chooser::images::surface_divide_nparts.gif -data {
R0lGODlhGAAYAKIAANnZ2QAAAAAA//8A/////////////////yH5BAEAAAAALAAAAAAYABgA
AAO6CLrc/jBKh0IRdLkdQxF0uRVFJSIQdJkFRWaIkIYEQRciEERkkHR1CAVBN0JwkHRZB0MB
ADBCZpBUZwZFJSIQdEECIwZFdWZwIgJBVyMwZAZJV0cQdDUCY5B0eQIjEHRVCAdJd2ZwIgJB
d2WQaAZFNyIQdDcCQ0RmkFRHEHQ3AmOQdHcEQXcjMAZJd4dQEHRZBkmXIzAQdFcGiWZQdCMC
QVcjMEREEHQjAkFXIzAQdLkdQxF0uf1hlA4lADs=
}

set ::icon_chooser::ImportedDates(surface_divide_split.gif) {2006-02-15 23:31:32}

image create photo ::icon_chooser::images::surface_divide_split.gif -data {
R0lGODlhGAAYAKIAANnZ2QAAAAAA//////8A/////////////yH5BAEAAAAALAAAAAAYABgA
AAPACLrc/jDKSR8KRdDlZhSJCARdbkGRCBGMQNDVCAwQkUEiER0kQdCFCAwZIsJRERqkEQTd
iEAiHF0iQRkSBN0VQsLRJSGcIUHQXRmkmRlCoZkhHEHQXRmkGRJBmpkhFARdFsIZEVIdiEYQ
dFkIZ0iEcHRIEHRZCEdJhHCUBEGXQZBmSAhHh0YQdFkIZ4RUB9EIgi4LIZEEkm5EIOiuEJJE
zOCISAQGgu5GYKDoAgCGIuhuBAaCLrdjKIIutz+M0qEEADs=
}

set ::icon_chooser::ImportedDates(view_labels.gif) {2006-02-15 23:52:00}

image create photo ::icon_chooser::images::view_labels.gif -data {
R0lGODlhGAAYAPcAANnZ2fj4+L29vaysrMbGxnh4eCIiInd3dxsbG5+fn1VVVR4eHkNDQ/Hx
8fn5+dzc3BgYGHFxcdra2iEhIW1tbfX19Xl5eaOjowAAAAMDAzIyMrm5uaurq8XFxZ2dnRER
EXx8fHZ2dmlpafDw8MPD/4SE5ktLuJmZx////s/Pzw0NDXFxa9HR/2tr//n5/2Ji/8HB/9/f
33V1dSQkJC4uaH19/+3t/19f/+zs7Kmpqr+/tAwMAzg4Ye/v/2lp//f3//r6+u3t7fv7+8zM
+QAACWFhXvj4/0xM//Dw/7Ozs8jIyGZm+WRkXq6urru7u4mJicDAwCsrJG9vm+fn/w8PCV5e
XoiIiQAAI319gbGxsQQEBIGBgUtLS0dHR4eHh2JiYlZWVn19fcrKyqWlpW5ubrq6und3bXFx
q8/P/+3t4kZGRjQ0NOfn5/Hx/3BwkCIiHD8/P8TExJycnFNTU/b2/0hIaFFRUTg4OKCgoKmp
/2ho/3Jy/3t7tHh4baioqPT09O/v7erq9tzc/2Nj/0RE/4iI/6ys/8fH/1xcXCkpcVZW/8zM
/+Pj//Pz/2hoaNbW1tvb2///////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
/////////////////////////////////yH5BAEAAAAALAAAAAAYABgAAAj/AAEIHEhwYAAB
AwgULFiwYAEDBxAkKFiwIEEECgAsYFCwYEGCDRw8gBChYMGCBSVMoFCwYMGBDio8MGChYMGC
BC9gyKBhA4cOBQsWFOgBwwcQIUQkKFhw4IgKAEiUMHECRcGCBVOoWMGihYsXMAoWJBhDxgwM
NGrYAHADRsGCBHHk0LGDRw+BLHz8EAgkiJCCBYcQKTLQyBEkApNgUFKQIIwlRJgMNHIEicAm
GJw8gVKwQBQpU6hUGWjlChaBTTBk0bKlIBcMBwB08TLwCwYwAsMYEINhS8ExZMoUBJDFzBk0
aTCoOYBhDZuCBQu2cfMGThw5GOYEKFiwIJ06GOwAQBhxB0/BggTz6NnDp4+fggUF/gEUSNAg
QoUMHSpYsCAigBgSKVrEqBFAAAIHEiwo0A4GRwYNGhz4qAwkgwYHBgQAOw==
}

set ::icon_chooser::ImportedDates(view_higherentity_lines.gif) {2006-02-16 13:06:42}

image create photo ::icon_chooser::images::view_higherentity_lines.gif -data {
R0lGODlhGAAYAPcAANnZ2f/k5P9PT//U1P+Vlf8JCf8oKP8cHP+mpv+QkP8MDP92dv/39/8A
AP9oa//Y2P/q6v85Of8ODv+8vP////+xhv8EAP8XGP/X1//o6P8tLf82Nv+/v//89v/Ykv+0
Ff/Zq/97gf8KCv93d//9/f+Qk/8VHv9bXf/89P+8Q/+dAP/hqv+Bgf+Tk/+Pkv8DAP9QG//7
9f+5Pv+3Nv/x1f9oaP8kJP+lpf/p6f9BQf8OEf+rhP+zBv++Rv/9+f+4Ov9YWP8gIP8mJv8r
K//Fxf/v0v++Sv+xK/+/TP/++v/+/v8XF/9cXP/dn/+hAP+iAP/Wkv/9+v9ZWf8eHv+Hh/8L
C/9kZP/hqf+mCv/ltf/muP+fAP+8QP/26f8iIv/29v9LS/8WFv/Q0P/gpv+kBv/wzf/TUv9I
Gf8jKf/19f8aGv/Ly/9qYP8tIv/k5//Z2f94eP/oq/9eXv8iJf/l5/+qqv9FRP+WGf/yuP9r
a/8ICP/W1v+LkP8HB/+Njf92d/8FBf9MTP/c3P/Nzf8YGP8QEP+Kiv/7+/+fn///////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
/////////////////////////////////yH5BAEAAAAALAAAAAAYABgAAAj/AAEIHEiwoMGD
CBMqXMgQYQABAxoeJFDAwAEEDQsmULCAwYIGDh40BAAhgoQJFChQqGDhAgaGGTRs4ECBQgcP
H0CEEDGCRMISJk5QoEABRQoVKyhQYNGgBUIXL2DEoEChg4wZNChQoFDDxg2DOHLo2MGjhw8f
Mn50oECBApAgGQxmEDKECIUiRo4cQZKEAgUlQIJAMJhgCRMlFChQaOLkCZQoFChImZLBIJUq
VihQoEDhCpYsWrZw6SLFS4aCX8CEEUOBAgUKY8hcoUChjJkzaCAYTCNBzRoKFChcITOGAgUK
FNi0cYPwTY0GcCjEIXOFAgUKSuTMobOwzgU7d/BQQaBAgUIePRka7rGhhg8FChSI9PHTUKCS
P4ACCRqkgErDggBhsEGokCGAAAQOJFiw4CECiAwaNGjQoEGDBg0aBBAQADs=
}

set ::icon_chooser::ImportedDates(view_normals_surface.gif) {2006-02-16 13:24:14}

image create photo ::icon_chooser::images::view_normals_surface.gif -data {
R0lGODlhGAAYAPcAANnZ2ayspJGRe+rq9mVlR7e3Es7OBomJg9fX5uvr+X9/OvT0Dv//HP//
Hs/PCY2NHrS0yZiYnnV1M/LyD///Hf//H7S0EIODAJCQdLa2tvv7+5ycnre3BP39Ffr6HKio
EqmpEtDQCW5uXtHR1T4+PoqKiuzo7n9/hra2C+rqG21tDKmpE+/vDlNTDMjI0URERDU1Ne/n
7lFpN8i/AevrG39/DvX1HP//Gv//G6+vCaWlo+Xl5729vYuLi8u+ykmJSzzfSTlyIKKjEu3t
GvDwG///F+zsS/39H6urCqamrWJgYhyRH0n8T1H/Vk7/Wy2zPqSoE9vcGYSEDu/vHPz8G/39
Q7GxB6amrvrw+pinmQ5DD0z3UU//VU7/VE7/U1P/XyJwJUM+BdjYGP//I6enOKioqOTY5Dhq
OTXCOknxTiV3J1P/WlD/Wi2jN767E4ODDpycErm5EHJyhPb29+rm6j+GQkj+T1H/V038U0rw
T0//VC6mOrWvEfj4HKysE6WlEbq6CKyssVhYWlhYWL23vREwE0P2Si2mOrGrEZaWBKGho1dX
V0JCQry3vEuLTTPQOVH/WFD/WS6nOratEff3MejoWf//FLKyCKOjo93d3Xh4eOzj64J8gTK1
N1T/XSypOrOrEfv7Ju7uQP7+Gb29EJ+fo6CloBlwI7KwDP//FfHxQfb2EWZmV97S5IiHPvn5
QIyMPeDg5uzs95ycpI+PBO/vElJSABAQF+7u7b+/0Y2NS46OK7S0xAAAAOfn5+7u9d3d5mpq
auDg4P//////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////
/////////////////////////////////yH5BAEAAAAALAAAAAAYABgAAAj/AAEIHEiwoMGD
CBMqRBhAwMKEAwgUMHAAwUKDCRQsYNDAwQMICwlGkDCBAgMGFSxcwHAwgwaCGzh0oMCAgYcP
IBqEEDGiIIkSAk2cQMGAAQMKKVSsaMCgAYsWLgi+gAEghowZDRgwoECjho0bOBjgyKFjB0Ee
PXz8ABJECAMKQ2oQKWLkCA4kSQ4qWcKkiZMnUKJImUKBApUqVq4YxJJFyxYuXbx8ARNGTAMG
DMaQKWPQzBk0adSs6cKmjRsKb+A0YBBHzpyCdOrYuYMnjx42e/hQYNDHzx9AgQQNIkiokKE7
XbroYXMIEY4iFBhQSKQIwCJGBRs5egTJSyRJkxhQa6pkicElTAIzaTK4iVMnT59AUcARStQo
UqUWCjR1ClUFgAwYpFK1ihVAAAIHEizYypUVBhSKvIIVq2DBggBkzaJV64atW7gKFiw4MJeu
Xbx6+SpYsCDBX8AABBNWsGDBggULFixYsGDBgQEBADs=
}

set ::icon_chooser::ImportedDates(intersect_line_surface.gif) {2006-02-16 13:40:37}

image create photo ::icon_chooser::images::intersect_line_surface.gif -data {
R0lGODlhGAAYAKIAANnZ2QAAAAAA//////8A/8DAwP///////yH5BAEAAAAALAAAAAAYABgA
AAOwCLrc/jDKSetDoQiqIoKCoMsaGIGgKjM4IoKguxEYAgCCpDojCLqsggBCMzhDNIKCoMsg
KISjO6QoCLoMgoKjq6QoCLorhBMROLo0gqCrQjgTEapqIBpB0JUhnIkIVYWIRBBUZQhHtZaQ
RARBV4hwdJcEBUFXhZBwdLUIBUGXQXCIcFRJBEGXV1CGaAhJRhB0uQVlaAQwFEGXG1BGAAIj
EHS5FQUAIjAQdLn9YZSTKpQAOw==
}

set ::icon_chooser::ImportedDates(join_surfaces.gif) {2006-02-16 15:56:08}

image create photo ::icon_chooser::images::join_surfaces.gif -data {
R0lGODlhGAAYAJEAANnZ2QAA//////8A/yH5BAEAAAAALAAAAAAYABgAAAJ+hI+py+0Pozwk
DsHHhIigSCIREQQfLYTmj4gEwUeIIfkyYxEE/4Lk40gQ/Ish+TcRBB9DQoIUhUwQfLQYki8T
BB8thuTLBMHHC5IvEwQfL0aCZE0QfMQYEVI0QfARY0j+BMHHiyH5EwQfMWj+BMFHpPhH8BEj
Lwg+pi63P1ykADs=
}

set ::icon_chooser::ImportedDates(split_elements.gif) {2006-02-16 16:12:24}

image create photo ::icon_chooser::images::split_elements.gif -data {
R0lGODlhGAAYAJEAANnZ2QCPA////wAAACH5BAEAAAAALAAAAAAYABgAAAJ/hI+py+0PoyQh
fEyFEArhY2pIEHzMDBFSCN9mEIEiSRD8mbsDCmUHAMwQfLQg2UGwZ+4uKJQfADNA2Ag+UPwD
ABga4V8EyY4g+DN3IaRIREKC4OOFSJAcC4KPFiJCiiREJAg+QogIKQoRkSD4GCQ7JM6C4B/F
xyT4mLrc/jBCUgA7
}

set ::icon_chooser::ImportedDates(collapse_edges.gif) {2006-02-16 16:23:21}

image create photo ::icon_chooser::images::collapse_edges.gif -data {
R0lGODlhGAAYAJEAANnZ2QCPA////wAAACH5BAEAAAAALAAAAAAYABgAAAJ7hI+py+0PYyQh
fEyFEArhY2pIEHzMDBFSCH/m7owiSRB8m0EMkh0E/2bQgmQHwYcZvKBQfgAADA2YIdghISEU
heDP3EFQKDsCAIA2wrcg+RcEHy9EguRYEHy0IPkoQfARQkRIUYiIBMHHIPlxFwT/KD4mwcfU
5faHMZICADs=
}

set ::icon_chooser::ImportedDates(collapse_points.gif1) {2006-02-16 16:31:51}

image create photo ::icon_chooser::images::collapse_points.gif1 -data {
R0lGODlhGAAYAMQAANnZ2QAAAP//APLy/4mJ/0lJ/3Nz//z8/6ur/4WF//39/wAA/5eX1cbG
/x0d/ycn/wEB/2NjlaGh/yIi0EREnK6uoefn1NjYzfz8/f//////////////////////////
/yH5BAEAAAAALAAAAAAYABgAAAX/ICCOZGmeaEoGgQoEaiAEARoEKhAIQmCCgRCAgDiSQCAI
QlAGQlCWYiAIQhCIgRCUQAAGAQAAQAAKohgAgRAAABAEgRCAgDgGgiAIA1EYBxAEgiAE4wgE
giAISAIqCxMIghAEICCO4kAUxtE4DxQJghCQpIgkysII0kSBlSAEICCOJNA4DxQJgnVhQlCW
ozRRlSAMRGGABwiIIykGgnVhgoAkysKUpRgIQhAIQuM8IBQFICCOZCAIARAIgiBNVCUEJAkE
QjAGQgCA1oUFQgAC4ggEQkAGQkACQRCQYhCQQCAE5BgEJBgEICCOQTCOIxCMwTiKwTiOIxCM
4xiAgDiSBaV5okAIADs=
}

set ::icon_chooser::ImportedDates(view_rotate_xy.gif) {2006-02-16 20:34:51}

image create photo ::icon_chooser::images::view_rotate_xy.gif -data {
R0lGODlhGAAYAMQAANnZ2b+/v9/f38/Pz9HR0e/v7z8/Px8fH5+fnwAAAMLCwg8PD29vb39/
f6+vry8vL09PT4+Pj///////////////////////////////////////////////////////
/yH5BAEAAAAALAAAAAAYABgAAAW3ICCOZGmeZCCMAxEU4xCgonEUAJIoCyOCwtKAgDiSwsIM
SwM4SQAYD0mSTnIYI3Q4yQAC4kiOTyKMxZJEZTk6yWKQzVOWo7AwAZhEAAA0BgiIIzk+j9gk
g9gY5ZiMQyOMjSMGSDkmICCOZGkCSZKc55kkyXmaYCKKICCOZEmCiSiCgDiSpZmYplkmpmmW
iWmaZUImiWmWCQkmYgIC4kiWYCKOZAIC4kiWY5IkiWmaYpKYpmmaphgCADs=
}

set ::icon_chooser::ImportedDates(view_rotate_xz.gif) {2006-02-16 20:35:39}

image create photo ::icon_chooser::images::view_rotate_xz.gif -data {
R0lGODlhGAAYAMQAANnZ2b+/v9/f38/Pzz8/Px8fH+/v75+fnwAAAA8PD29vb39/f6+vr19f
Xy8vL4+Pj6ioqJmZmf//////////////////////////////////////////////////////
/yH5BAEAAAAALAAAAAAYABgAAAXCICCOZGmeZCCMgzCAgSiCgDiSAFEYwIEMBIiIIgiIIwkI
iTIkCxkgS1mKDFIQpJA0ZUk6ICIAAGA4jgEC4kiODJIQY5MIZTkKiRIgD/AgQVmSDugAwIJA
iLMsywIC4oiMwyKMSwQu4ggC4oiM4ziO4wggCDKO4ziOI4Ig4ziO4ygCIaIIAuJIliSIiCII
iCNZmohpmiVimmaJmKZZIiSCmGaJkCAiIiAgjmQJIuJIIiAgjmQ5IgiCmKYpIohpmqZpiiEA
Ow==
}

set ::icon_chooser::ImportedDates(view_rotate_yz.gif) {2006-02-16 20:35:54}

image create photo ::icon_chooser::images::view_rotate_yz.gif -data {
R0lGODlhGAAYALMAANnZ2d/f37+/v8/PzwAAAH9/f4+Pjz8/Py8vLw8PD+/v719fX6+vr29v
b5+fn////yH5BAEAAAAALAAAAAAYABgAAASqEMhJq70zCDrGgEJKCOSkgxQ5iDmQSAmBnBQU
MgA6VBBYIJCTSnRKUjOkBYGcdA5C2FQIKQjkpLQhulKotcJyAACGCAjkpBWUIwdBpcBSIJCT
zCmcDLDICYGcZM4555yAEEggkJNWSwix1kpIpIRATlopJFJCICetllhrK7HWVhCBQE5arSSU
kHsnJAAAQAghEMhJKyRyUgKBnLROQgix1kpICARy0movlhEAOw==
}

set ::icon_chooser::ImportedDates(view_rotate_-xy.gif) {2006-02-16 20:36:04}

image create photo ::icon_chooser::images::view_rotate_-xy.gif -data {
R0lGODlhGAAYAMQAANnZ2e/v77+/v8PDw8/Pzy8vLz8/P4+Pjw8PD7W1tQAAAH9/f5+fnx8f
H19fX9/f36+vr29vb09PT///////////////////////////////////////////////////
/yH5BAEAAAAALAAAAAAYABgAAAXMICCOZGmeZCAEozAIJEGgQFAY4oEkyiKChHKAgDiShLIQ
CgMsCgEUBgkIy7Is4qE0zggWxoIEICCKi6Ioytgoz0goCjSOjyAIgngoiDMCoKgAAXEkR0I5
IAUaF6MsxaCRRAd5xMUoRQUEREBYAjFYIFFgxhFQxnEcx3EEFEUZx3E0Go1AiggC4kiWJaiI
IgiII1mSoCKKICCOZGkqpmmWimmapWKaZqmQimKapUKCiqiAgDiSJaiII6mAgDiS5agoimKa
pqgopmmapimGADs=
}

set ::icon_chooser::ImportedDates(view_rotate_-xz.gif) {2006-02-16 20:36:12}

image create photo ::icon_chooser::images::view_rotate_-xz.gif -data {
R0lGODlhGAAYAMQAANnZ2e/v77+/v9/f38/Pzy8vLz8/P4+Pjw8PDwAAAH9/f5+fnx8fH19f
X29vb6+vr09PT7W1tZmZmf//////////////////////////////////////////////////
/yH5BAEAAAAALAAAAAAYABgAAAXNICCOZGmeZCAEozAQgiAIBCoGhSEeyGCAiZgYICCOJEAk
CpEs5JIspaAoiiIeCdOQBOKAgDgqSZIkI5MMY8AY4wgMgiAI4pEgzQgaTAAC4kiORHI8yQM4
CFGWY8BAYoNEiaEoCqiAgCgmIyAogRgoEqiIIwiIYjKO4ziOI5AkyTiO4ziOSZKM4ziOowiU
iCIIiCNZkmAiiiAgjmRpJqZplolpmmVimmaZkElimmVCgomYgIA4kiWYiCOZgIA4kuWYJEli
mqaYJKZpmqYphgA7
}

set ::icon_chooser::ImportedDates(view_rotate_-yz.gif) {2006-02-16 20:36:19}

image create photo ::icon_chooser::images::view_rotate_-yz.gif -data {
R0lGODlhGAAYALMAANnZ2d/f37+/v8/PzwAAAJ+fn6+vrz8/P29vbw8PD+/v7x8fH39/f09P
T////////yH5BAEAAAAALAAAAAAYABgAAAS3EMhJq700CDrGgEKKAYGcVJAiBTGHEEjIgUBO
ClBSaiFaCCwQSCkYYwyo1dCCCgAwEoJATkYIIVIQIiZU60AgJwhCCDEPogcuBYGctB42URq1
VgAdBsAghzHGIJCSzAmKkAEyOSGQksw555wTEAIJBHLSagkh1loJiZQQyEkrhURKCOSk1RJr
bSXW2goiEMhJq5WEEnLvhAQAAAghBAI5aYVETkogkJPWSQgh1loJCYFATlrtxTICADs=
}

set ::icon_chooser::ImportedDates(view_assigned_meshsizes.gif) {2006-02-20 12:10:06}

image create photo ::icon_chooser::images::view_assigned_meshsizes.gif -data {
R0lGODlhGAAYAJEAANnZ2QAAAP///wCPAyH5BAEAAAAALAAAAAAYABgAAAKrhI+py50UPwg+
pgXJDoKPaSFCSoLgY1qQ7CD4mBYiJCUI/twdBMkOgj9zd0FyIgj2yNwdhbKDYI/I3BlFEokA
IGAiMgTfgmQHAMCQrCH4ECISlAAARoSkEXwIkh0AMHc0wg8RkaAAMCRfhmAHyQ4AmDshI+wQ
kQgKMCT/BgCAQtkBMHdHAwBCREgJDMlHGQCgUHYAzccDgCA5EQQf04JkB8HHNIofBB9Tl48K
ADs=
}

set ::icon_chooser::ImportedDates(Scalar2Vector.gif) {2007-02-28 20:41:32}

image create photo ::icon_chooser::images::Scalar2Vector.gif -data {
R0lGODlhGAAYAKIAANnZ2QAA/////39/fwAAs////////////yH5BAEAAAAALAAAAAAYABgA
AAN7CLrc/jA6FIqgy90YIhEIutyMIRIxCLrci6E6CLrcjKEzCLrcjaMIuryEoMvtiwhBl3uR
dAlBl9sBEYIutwMiBF1uQELQ5fZFhKDLvUi6hKDL7YAIQZfbARGCLjcgIehy+yJC0OVeJF1C
0OV2QISgy+2ACEGX2x9GKVECADs=
}

set ::icon_chooser::ImportedDates(align_quadratic_nodes.gif) {2007-05-03 21:15:51}

image create photo ::icon_chooser::images::align_quadratic_nodes.gif -data {
R0lGODlhGAAYAKIAANnZ2QAAAACPA7XG4wAA/////////////yH5BAEAAAAALAAAAAAYABgA
AAOiCLrc/jBKhyIQdCN21wJIIhB0I3aXQqKDoCuyuxQSHQRdEEHQZREUGARdkd2lkAgMgi6I
IOgyEcIg6IIIgi4LIQ2Croog6LIIwgBAICiRqiqFRGAAMDQACAlBl0VwEFRDBQVBl0UQBkFX
RRB0WQQHQVdFEHQZBAdBd0UQdFkGQXdFEHQZBAdBd0UQdDkGQXcjEHQZAgNBdyMQdLn9YZST
VosSADs=
}

set ::icon_chooser::ImportedDates(view_swap_render.gif) {2008-11-03 22:10:40}

image create photo ::icon_chooser::images::view_swap_render.gif -data {
R0lGODlhGAAYAOYAANnZ2QAAAEtL+sXF/WFh+8Q65N6y3t7e3vNZ8+VB+Gg/+k9P+sDA/WFh
+stA+P3A/f/e//tm++Cr/Wlp+spP+v2o/f/z//pe+vJR+m0/+VZW+ry8/cXF//pD+v/1//3R
/ftp+9ae/TFhMb7jvmJi+8PD/fpo+v26/f/k/zhyOL7hvrq65f25/TGlMcDjwOQK5PpU+v/x
/4LIgkCrQFEP5ZE9+fA++vyC/P/t/zioODKbMkOtQ5vSm5eX/URE+pVC+O0++vuF+//p/zOm
M5KS+2Rk+uyJ+/lJ+fuI+87O/UZG+pGR++yG+/3c/TqpOjyqPIuL+2SsfzZ+NjanNkywTEqw
SjWnNTmoOTupO0WtRTSmND+rP0WuRUGsQXDAcNPs06/cr///////////////////////////
////////////////////////////////////////////////////////////////////////
/////////////////////////yH5BAEAAAAALAAAAAAYABgAAAf/gACCg4SFhoeIiYqCAQGL
iwEBAgIDi4YEBQYHCAkKCwyLgw0OD4MQERITDIsADRQVhRYXGBkaG4kNHB0ehx8gISIjhyQl
JieJFigpIiqEAQErJiyLKSktIi6DAQEvMDGKKSktMjMihTQ1Njc4hyI5OjI7LTwihT0+P0BB
QoQiLYAtLUMtLS0tgACCgwBERUZHSIIigC2Cg4MigACCgwBJSktMTSktTk+ALYKDgoAAgoOD
UFFSLS0tLVOALYKDIoAAgoOEIlQtLVVWLS0tLVctIoSEhC1YWVotW1wtLS1bIoSEhAAiXYAt
goNbIoAAgoOEhSItLS05T04ihYWFAFMiHS0tLTkihYWFg14iLSIzhYWFhF8iImCFhYWFhYWB
ADs=
}

array set preferences {toolbar_one_col 0}
