xdpyinfo=""

for donde in /usr/bin/X11/xdpyinfo /usr/X11/xdpyinfo /usr/bin/xdpyinfo; do
    if [ -x $donde ]; then
	xdpyinfo=$donde
	break
    fi
done

if [ "$xdpyinfo" = "" ]; then
    echo "Warning: couldn't find xdpyinfo to determine GLX availability. "
    glx_capable=""
else
    glx_capable=`$xdpyinfo | grep GLX`
fi

if [ "$glx_capable" = "" ]; then
    echo "Configuring GiD for Software Rendering"
    # export MESA_BACK_BUFFER=p
    export ADD_LD_LIBRARY_PATH=$BASEDIR/lib/mesa652:$BASEDIR/lib
else
    echo "Configuring GiD for GLX Rendering"
    export ADD_LD_LIBRARY_PATH=$BASEDIR/lib
fi

if [ "$LD_LIBRARY_PATH" != "" ]; then
    export LD_LIBRARY_PATH=$ADD_LD_LIBRARY_PATH:$LD_LIBRARY_PATH
else
    export LD_LIBRARY_PATH=$ADD_LD_LIBRARY_PATH
fi
export GIDDEFAULT=$BASEDIR
export GIDDEFAULTTCL=$GIDDEFAULT/scripts
export GIDEXE=$BASEDIR
export TCL_LIBRARY=$GIDDEFAULTTCL
export TK_LIBRARY=$GIDDEFAULTTCL

# echo export xdpyinfo=$xdpyinfo
# echo export glx_capable=$glx_capable
# echo export LD_LIBRARY_PATH=$LD_LIBRARY_PATH
# echo export GIDDEFAULT=$GIDDEFAULT	     
# echo export GIDDEFAULTTCL=$GIDDEFAULTTCL   
# echo export GIDEXE=$GIDEXE	     
# echo export TCL_LIBRARY=$TCL_LIBRARY     
# echo export TK_LIBRARY=$TK_LIBRARY      
# echo "$GIDEXE"/gid.exe $*
"$GIDEXE"/gid.exe $*

