# tclfile -*- TCL -*-

proc reStickyStatusLabel { w} {
    grid configure $w -sticky e
    # if { [ regexp {^\..*\.([0-9]+)$} $w dum col]} {
    # 	grid columnconfig [ winfo parent $w] $col -weight 1	
    # }
}

proc actualizeStatusLabel { w txt n1 n2 op} {
    $w conf -text "${txt}: [ subst $${n1}($n2)]"
}


proc putStatusLabel { w var txt} {
    # set f [ frame $w -bd 0 -bg yellow]
    # label $f.l -text hola -relief flat
    # grid $f.l -sticky e
    label $w -text hola -relief flat
    # after 2000 [ list reStickyStatusLabel $w]
    after 2000 [ list $w configure -relief flat]
    trace add variable $var write "actualizeStatusLabel $w $txt"
    $w conf -text "${txt}: [ subst $$var]"
    # WarnWinText "trace add variable $var write actualizeStatusLabel $w $txt"
}

proc menuStatusLabel { w var txt} {
    #WarnWin "hola $w"
    #$w conf -text "hola $w"
    # $w conf -text "[_ Render]: $::GiDStatus(RenderMode)"
}

proc RenderRing { } {
    if { ![ info exists ::GiDStatus(RenderMode)]} {
	return
    }
    set lstRender [ list Normal Flat Smooth]
    set lstRenderTrad [ list [_ "Normal#C#Render"] [_ "Flat#C#Render"] [_ "Smooth#C#Render"]]
    set idxRender [ lsearch $lstRenderTrad $::GiDStatus(RenderMode)]
    set nRender [ llength $lstRender]
    set nextRender [ expr ( $idxRender + $nRender + 1) % $nRender]
    GiD_Process render [ lindex $lstRender $nextRender]
}

proc SwitchTransparency { } {
    if { ![ info exists ::GiDStatus(Transparencies)]} {
	return
    }
    set lstTransp [ list Normal Flat Smooth]
    set lstTranspTrad [ list [_ "All"] [_ "Some"] [_ "No"]]
    set idxTransp [ lsearch $lstTranspTrad $::GiDStatus(Transparencies)]
    if { $idxTransp == 2} {
	set cmd "Transparent"
    } else {
	set cmd "Opaque"
    }
    GiD_Process render $cmd
}

proc ShowHideListStatusWindow { } {
    if { [ winfo exists .gid.listent]} {
	CloseListWindow .gid.listent
    } else {
	GiD_Process escape escape escape escape Utilities List Status
    }
}